Shared Fax Service Manager

Shared Fax Service enables users to send and receive faxes from desktop computers by using fax devices that are located on servers. Shared Fax Service is in an extensible platform that provides single-point administration, security, and efficient use of server resources.

For more information, see:

  • Minimum Software Requirements
  • New Ways to Do Familiar Tasks
  • Concepts
  • How To...
  • Additional Resources


Minimum Software Requirements

When you want to add a Shared Fax Service client, you must take into consideration that minimum software requirements apply to that client.

The software requirements of Shared Fax Service client are:

  • Windows 95 (or newer) / Windows NT 4 with SP 4 (or newer)
  • Internet Explorer 5.0
  • TCP/IP protocol installed

Notes

  • Internet Explorer 4 or newer with SP 2 is necessary to enable clients running earlier Microsoft Windows operating systems to view the client help files.

Important

  • Before installing, check the Shared Fax Service Release Notes for last minute updates of requirements.


New ways to do familiar tasks

This table lists common tasks for Microsoft BackOffice Server (BOS) Fax Server and Shared Fax Service. The user interface for performing these tasks is different in BackOffice Server version 5 than it was in BackOffice Server version 4.5.

If you want to | In version 4.5 use | In version 5, in the Shared Fax Service Manager, use
Pause the outgoing fax queue | Queue viewer of Shared Fax Service | Service Properties sheet, General tab (now called Disable transmission of outgoing faxes). For more information, see Configuring Outgoing Fax Properties.
Change fax device priority | Service Properties sheet, Priority tab | Sent Faxes Routing|Groups|Group|details pane. For more information, see Manage Devices.
Enable devices to receive faxes | Service Properties sheet, Receive tab | Devices and Providers|Devices|Device. For more information, see Manage Devices.
Enable devices to send faxes | Service Properties sheet, Send tab | Devices and Providers|Devices|Device. For more information, see Manage Devices.
View devices and their reception configuration | Control panel|Devices | Devices and Providers|Devices|Device. For more information, see Manage Devices.


Concepts

This section provides general background information for Shared Fax Service.

  • Overview
  • Installation options
  • Managing Devices
  • Configuring Outgoing Fax Properties
  • Managing Incoming Faxes
  • Monitoring Fax Activity
  • Security (permissions)


Overview

Shared Fax Service is an extensible fax platform that allows users within an organization to send and receive faxes from their desktop computers by using fax devices that are located on the server running Shared Fax Service. Centralizing devices on a server, instead of locating them on desktop computers, reduces acquisition and maintenance costs. The Remote Administration configuration option enables administrators to remotely configure and monitor the system, send and receive faxes, and configure archiving of incoming and outgoing faxes.

Shared Fax Service helps an organization to better manage and monitor its fax needs in many ways, centralizing faxing through a server and administrator. Server-based technology means that the organization can share all of its fax resources rather than limiting hardware to a single users, with no administrator supervision.

Shared Fax Service features

Here are some of the key features of Shared Fax Service.

  • One central point for faxes — the server running Shared Fax Service.
  • Outgoing faxes. You can define outgoing fax routing rules that specify which device will be used depending on the fax destination, schedule fax transmission according to discount rates times, and control the use of cover pages and branding banners. For more information about outgoing faxes, see Outgoing fax routing.
  • Incoming faxes. You can define routing methods so that incoming faxes are stored in a folder, routed through e-mail, or printed. In addition, third-party vendors can extend the routing methods that Shared Fax Service provides. Incoming fax routing.
  • Multiple-recipient faxes. You can send a fax simultaneously to multiple recipients.
  • Archiving incoming and outgoing faxes.
  • Security (permissions) lets you allow (or deny) users fax submission priorities, viewing and management capabilities for jobs, configuration, and archiving.
  • Change the order of devices within a group to prioritize device access for outgoing faxes.
  • E-mail receipt of delivery notification to sender.
  • Improved multiple-recipient transmission capability.
  • Improved client application (Shared Fax Console) with single-point sending, receiving, and fax activity monitoring capabilities.
  • Outlook contact list availability for addressing outgoing faxes sent through Outlook (in addition to the Windows Address Book).
  • Entire document preview in Send Fax wizard.

The easy-to-use manager of Shared Fax Service enables administrators to:

  • Start and stop the service.
  • Manage fax devices.
  • Create routing rules.
  • Monitor fax activity in the service.
  • Configure the way the service sends delivery receipts by e-mail.
  • Set Event Log sensitivity levels for various fax error types.
  • Configure the logging of incoming and outgoing fax transmissions.
  • Enable branding of banners on outgoing faxes.
  • Create and edit server-based cover pages.
  • Allow users to send personal cover pages with their faxes.
  • Manage security permissions, ownership, and auditing.
  • Configure the archiving of incoming and outgoing faxes.

An administrator can control which users can send fax documents and various aspects of the sending process. All correspondence can be archived in a configured central storage.


Installation options

This page explains setup variations of Shared Fax Service, so that you can better understand the structure of your system.

The three components of Shared Fax Service are:

  • Shared Fax Service Server. The core server component (or engine) of Shared Fax Service.
  • Shared Fax Service Manager. The user interface of Shared Fax Service for configuring, managing, and monitoring the system.
  • Shared Fax Console. The control unit for sending and receiving faxes, monitoring the fax queue, and archiving sent and received faxes.

Setup has three different configurations so that you can install these components to meet user needs. These configurations are:

  • Server Setup
  • Remote Administration Setup
  • Client Setup
Setup Scenarios Setups

Server Setup includes all three components. An administrator setting up the service installs the core component so that the service will work and then uses the Shared Fax Service Manager to configure the service. Finally, the administrator installs Shared Fax Console to send and receive faxes, view the queues and archives, and manage fax activity.

Remote Administration Setup installs only the Shared Fax Service Manager and Shared Fax Console. This configuration, when installed on another computer (connected through a network to the server running Shared Fax Service), allows an administrator to remotely configure and monitor the system, set security permissions, define routing methods, send and receive faxes, and view and manage faxes in the server's queues and archives.

Client Setup installs only the Shared Fax Console and includes the printer drivers and Microsoft Outlook extension that are necessary to send faxes. This configuration depends on a network connection to the server running Shared Fax Service and is used to send and receive faxes, and view and manage faxes in the server's incoming and outgoing queues and archives.

Server Setup and Remote Administration Setup make up the Shared Fax Service administrator layout. Client Setup of Shared Fax Service is the end-user layout.


Managing Devices

All installed fax devices on servers running Shared Fax Service appear in the Devices subnode of the Shared Fax Service Manager console tree.

You can view the properties and status of a device, read or modify a description of the device, and configure its transmission settings. Those settings are:

  • Define whether the device can receive faxes and after how many rings it answers, and name the Called Subscriber IDentifier (CSID).
  • Define whether the device can send faxes and name the Transmitting Station IDentifier (TSID).

The Status column of the details pane displays one of four states for each device:

  • Offline
  • Idle
  • Sending
  • Receiving

Providers

The Providers node of Shared Fax Service Manager displays a read-only list in the details pane that includes all installed device providers, or Fax Service Providers (FSPs). These providers are at the base of Shared Fax Service. They manage the devices and dictate how the Service processes faxes. Without an FSP, faxes will neither be sent nor received.

Each FSP manages its own set of devices and has specific attributes for them. Their display in device property dialog boxes differs from one to another. Some might contain only information to view, while others might offer configuration options.

Microsoft Modem Device Provider is a default device provider that sends and receives faxes using fax modems that meet the unimodem standard. You can recognize such a modem by the Microsoft Windows logo on its box. You can view the status of providers in the details pane of the node of the provider. One of the features of Microsoft Modem Device Provider is the ability to enable or disable adaptive answering for each device it uses.

For additional information, see:

  • Outgoing fax routing
  • Groups
  • Incoming fax routing
  • Adaptive Answering


Outgoing fax routing

You can manage outgoing faxes at various levels and with varying degrees of control from within Shared Fax Service Manager. You can choose to route them by:

  • Creating groups of devices (or groups of types of devices).
  • Creating outgoing fax routing rules that associate destinations and devices. For instance, a specific rule could associate a device (or a group of devices) with all faxes sent to a specific domestic area code, whereas another rule could associate a different device to another domestic area code. Still another rule could associate another device to an area code within a foreign country or region code. You are unlimited in creating rules.

As a submitted fax is transmitting, it appears in the Outbox folder of Shared Fax Console.

After a fax is sent, it moves from the Outbox to the Sent Items folder of Shared Fax Console. This folder is the archive of all successfully sent faxes. For more information about the Outbox, see Outbox options.

Outgoing fax flow and options

Groups

Groups include the fax devices that you configure together to send faxes.

Newly created groups are void of devices (indicated by an exclamation mark over the group folder icon). You must add devices to a group before the group becomes active. To learn how to create a group, see Create a group. To learn how to add a device to a group, see Add a device to a group.

A default group, that exists whether other groups exist or not, includes all devices from all groups. This All devices group cannot be deleted.

Each group can contain any or all of the installed fax devices. You can add or remove groups and add or remove devices from a group at any time. A device can belong to one or more groups simultaneously. This flexibility increases the likelihood that the system accesses an available device to send an outgoing fax. The system notes the destination of the fax, routes it to the appropriate group, and accesses the first available device in that group for transmission.

Outgoing faxes are routed to groups of single or multiple fax devices according to outgoing fax routing rules. You can create groups according to any parameters that you choose. For example, you can create different groups according to:

  • Telephone company (for example, one group for local destinations and another for domestic long distance destinations, or one group for a specific foreign destination and another for various foreign destinations). You might want the marketing department, for instance, to access faster devices than the administration department. You can include individual devices in numerous groups.
  • Location (for example, groups by floors of a building, buildings, campuses, or regions).
  • Departments or divisions.
  • Transfer speeds of lines.
  • Quality of service.
  • Any other parameter of your choice.

You can, at any time:

  • Create or delete a group.
  • Add or remove devices from a group.
  • Change the order of devices within a group.

The best configuration is one in which faxes do not spend idle time in queues but system expenses remain low. If all of the devices in a group are constantly busy (sending or receiving faxes) and faxes accumulate within queues, you might need to reconfigure the groups, improve the telephony infrastructure, or add fax devices.

Note

  • Newly created groups are void of devices (indicated by an exclamation mark over the group folder icon). You must add devices to the group before the group becomes active.

Outgoing routing rules

Create outgoing routing rules. These rules determine to what outgoing fax routing group or device an outgoing fax is sent. The rules use the country or region code, area code, and prefix of the recipient's phone number to determine this. To learn how to create a rule, see Create or delete a rule.


Groups

Outgoing faxes are routed to groups of single or multiple fax devices according to outgoing fax routing rules. For example, you can create different groups according to:

  • Telephone company (for example, one group for local destinations and another for domestic long distance destinations, or one group for a specific foreign destination and another for various foreign destinations).
  • Location (for example, groups by floors of a building, buildings, campuses, or regions).
  • Departments or divisions.
  • Transfer speeds of lines.
  • Quality of service.
  • Any other parameter of your choice.

You can, at any time:

  • Create or delete a group.
  • Add or remove devices from a group.
  • Change the order of devices within a group.

The best configuration is one in which faxes do not spend idle time in queues but system expenses remain low. If all of the devices in a group are constantly busy (sending or receiving faxes) and faxes accumulate within queues, you might need to reconfigure the groups, improve the telephony infrastructure, or add fax devices.

Note

  • Newly created groups are void of devices (indicated by an exclamation mark over the group folder icon). You must add devices to the group before the group becomes active.


Incoming fax routing

Shared Fax Service provides three default global methods that incoming fax routing uses to process incoming faxes. These methods are:

  • Store faxes in a folder.
  • Send faxes to a printer.
  • Send faxes as e-mail messages.

The order of these methods is used globally for all devices even though you have the option to enable the methods on each device independently.

An incoming fax is routed in the order in which the methods appear in the details pane of the Global Methods, according to which methods are enabled per device. For instance, if the first method is disabled, the incoming fax is routed to the next enabled method. To learn how to manage incoming methods, see Manage Incoming Faxes.

Third-party vendors can extend the global methods of routing for incoming faxes. Extensions could include, for example, converters to various file formats that the system uses (for example, Microsoft Word documents). Other examples might be optical character recognition (OCR) based routing, Direct Dialed In, or by caller ID, CSID, or TSID.

Note

  • If no method is enabled on a fax device but Inbox Archiving is enabled, the incoming fax is sent to the Archive folder.

Important

  • If no method is enabled on a fax device and Inbox Archiving is disabled, the incoming fax will not be routed to the recipient.


Adaptive Answering

Shared Fax Service supports adaptive answering. A modem that supports Adaptive Answering will inform Shared Fax Service if an incoming call is a data call or a fax call. The service will use this information to either accept the call as a fax or hand-off the call to remote access.

The advantage for using a modem with adaptive answering is so that you can use the same modem for receiving fax calls and incoming data calls. This also saves the expense of additional communication lines.

Among the many differences between modems, some modems distinguish between incoming data and an incoming fax upon answering a call, and some do not make that distinction. Due to lack of adaptive answering standardization between modem models, Shared Fax Service does not enable this feature by default. Therefore, you may want to test how each modem (that claims to support adaptive answering) deals with data transmissions and receiving faxes. If adaptive answering fails, the call will be immediately disconnected. If either type of call is not correctly received by the modem, you should disable the adaptive answering option for this device.

For more information about incoming faxes, see Managing Incoming Faxes.


Configuring Outgoing Fax Properties

You can manage outgoing faxes at various levels and with varying degrees of control from within Shared Fax Service Manager.

For additional information, see:

  • Outbox options
  • Cover pages
  • E-mail receipt of delivery notification to sender
  • Sent items and archiving


Outbox options

The Outbox is the queue of all submitted outgoing faxes that have not yet been successfully sent. You can administer outgoing faxes at various levels from within the Shared Fax Service Manager on the Outbox tab.

Configuring Outbox properties

The administrator can set Outbox properties to:

  • Allow all outgoing faxes to be branded with a banner that includes transmission information (such as time and date, number of pages, and transmitting phone number). To learn how to brand a banner, see Brand banners on all outgoing faxes.
  • Allow users to include their own personal cover pages when sending faxes. For more information about cover pages, see Cover Pages.
  • Enable the automatic deletion of failed faxes that have remained in the Outbox more than a specified number of days.

Configuring transmission properties

The administrator can set transmission properties to:

  • Enable the use of device Transmitting Station ID (TSID) when sending faxes. TSID is a descriptive identifying string that is sent on the pages of faxes and appears in the display of fax machines of recipients of faxes from that device. TSID is often a combination of the fax or telephone number and the name of the business.
  • Set the number of allowed retries for attempting to resend faxes after receiving a busy signal, no answer, or following any transmission failure.
  • Set the number of minutes between attempts at retrying fax transmission.
  • If the maximum number of retries has been exhausted, the user will be able to restart the transmission and the retries will reset, allowing the full number of retries again. The user will not be able to restart the transmission until the maximum number of retries is exhausted.
  • Set the start and stop times for discount transmission rates. A user can select to send faxes at discount times, without having to be aware of what these times are or if they change.

Controlling Outbox activity settings

The administrator can set Outbox activity settings to:

  • Disable submission of new outgoing faxes. This is a gradual way to stop the service that does not harm any fax transmission that is in progress. Only users who try to submit a new outgoing fax receive an error message.
  • Disable transmission of outgoing faxes. This option does not stop the submission of new outgoing faxes, yet allows the administrator to service devices or lines.

Note

  • While transmission of outgoing faxes is disabled, the queue could become lengthy and cause delays in sending faxes when resumed.


Cover pages

The first transmitted page of a fax that provides information about the message is called a cover page. Not all faxes include cover pages, and messages can be sent as cover page faxes that include only that page. Information such as recipient name and fax number, sender name and fax number, date and time of submission for transmission, number of pages in the message, and a note and/or the subject are automatically included on a cover page. Other information, depending on what is entered in the User Information dialog box (in the Client) and what is supplied about the recipient (when filling in recipient information), can also appear on the cover page.

There is limited space for including a note on the cover page. If sending a short note, an all-inclusive cover page fax can be sent instead of including a longer document.

Server-based cover page templates

Shared Fax Service provides cover page templates for:

  • Simplicity.
  • Speed of use for first-time users.
  • Uniformity in corporate or organizational outgoing faxes.

If users are denied access to personalized cover pages, they can use the server-based cover pages for their faxes. The client's personal folder of cover pages is empty until users add (copy) server-based pages to that folder.

Using the Fax Cover Page Editor, administrators can create cover pages and store them in the Documents and Settings\All Users\Documents\My Faxes\Common Cover Pages folder on the server. Logos and other graphics, and changes in format can be included in cover pages. All users can access the contents of this folder and add (copy) a cover page to their Personal Cover Pages folder in Shared Fax Console. This is especially helpful for inexperienced users. To learn how to create cover server-based pages, see Modify the default cover page.

Personalized cover pages

Users can send faxes with personalized cover pages if the administrator has enabled that option. To learn how to allow personal cover pages, see Allow personal cover pages. These can supply additional personal information, differ completely from the cover pages supplied by the administrator, or include elements of both to add a personal touch to server-based cover pages.

Personalized cover pages, which are created by a client user in the Fax Cover Page Editor, are stored together with the copied ones on the client computer in a personal cover pages folder.


E-mail receipt of delivery notification to sender

Although providing any delivery notification is not a requirement, you can send a delivery notification receipt by e-mail to the submitter of a sent fax immediately following transmission. If selected, notification is sent for any successful or failed fax transmission (if requested by the user in the Send Fax wizard). A user no longer has to check the outgoing queue to see if a submitted fax has been transmitted. Such a receipt is an addition to viewing the faxes in the outgoing queue (Outbox) or Sent Items folder of the Shared Fax Console. This receipt resembles the notification (or confirmation) that is printed by fax machines following a transmission.

The following conditions must be met to send an e-mail receipt to a sender of a fax:

  • The Enable SMTP e-mail receipts delivery check box of the Receipts tab of the Microsoft Shared Fax Properties sheet must be selected.
  • From e-mail address (on the Receipts tab) must include the e-mail address of the sender of the delivery notification receipt.
  • Server address (on the Receipts tab) must include the address of the STMP server.
  • Port (on the Receipts tab) must include the port number of the STMP server.
  • You must select the appropriate authentication method that is used to access the STMP server. If it uses NTLM authentication, you must change the service to run under a specific user account. (The anonymous access method is the default.) To learn how to run the service under a specific user account, see Run the service under a user account.

For the sender of a fax sent from Microsoft Outlook to receive e-mail notification, a valid e-mail address must first be entered in the E-mail box of the user information in Shared Fax Console.

For the sender of a fax sent using Send Fax wizard, the sender must include a valid e-mail address on the Delivery Notification page of the wizard to receive e-mail notification.

To learn how to send an e-mail receipt to a sender of a fax, see Send an e-mail receipt of delivery notification to sender.

Note

  • Delivery notification can also be presented to the client (if selected by the user in the Send Fax wizard) as a pop-up message box on the client computer, without real-time intervention or action by the administrator. It can be in addition to, or along with e-mail notification.


Sent items and archiving

After an outgoing fax has successfully been sent, it is moved to the Sent Items folder, which is an archive of all successfully sent faxes. If a fax has failed after a maximum number of retries (as defined on the Outbox tab of the Server Properties sheet), it is not moved to the Sent Items folder, despite having ended its processing. A fax that is in the process of being sent remains in the Outbox until it is successfully sent or deleted.

You can view or modify the location of the archive folder.

Important

  • The archive folder must be located in an NTFS file partition.

In addition, you can use the following options to help limit the size of the archive by:

  • Enabling a warning to be generated in the Event Log when the archive reaches a specified quota size (not a limit).
  • Setting a high and low watermark (for the quota) that triggers the warning.
  • Enabling automatic deletion of faxes that remain in the archive a modifiable maximum number of days.

Setting watermarks for the archive quota

Unless you have unlimited resources for archiving faxes, you will want to keep the size of the archive at a level relative to the amount of hard disk space you have allocated for that purpose. Watermarks help monitor the size of the archive file. To learn more about what watermarks are, see Understanding watermarks later. If you select the Generate warning in the Event Log check box, the service generates a warning when the quota passes the high watermark. When the size of the archive drops below the low watermark and then rises above it again, the warning is reset. You can get an idea of how this works in the following diagram.

Watermarks

In the diagram, the first peak (from left-to-right) does not surpass the high watermark and, therefore, does not generate a warning. Where the number of faxes passes the high watermark (on the second upward slope) a warning is generated. Because the mechanism was not reset by reducing the size of the archive beneath the level of the low watermark, a warning is not generated when the size of the archive passes the high watermark on the third upward slope. This only happens on the fourth upward slope, after the mechanism was previously reset.

For instance, if the high watermark is set to 100 MB and the low watermark to 95 MB, the warning mechanism is activated when 100 MB of faxes are archived. The warning is reset when the archive drops to 95 MB and is generated when the archive fills again to 100 MB. However, if the archive drops to only 98 MB (not below the low watermark of 95 MB) and then rises above 100 MB, no warning would be generated. To learn how to use the archive quota, see Archive successfully sent faxes.

Automatically delete faxes older than

The archive rule that limits archive size is the option for automatically deleting faxes after a set number of days passes. This option uses a first in—first out system for deleting the oldest files in the archive and works in conjunction with the watermark warnings. To use the Automatically delete faxes older than option wisely, you should attempt to estimate the maximum number of days that you want faxes to remain in the archive, before they accumulate to a size larger than the low watermark. That is the number that should be entered in the Days box. If you find that the archive watermark mechanism generates warnings too often, lessen the amount of days in the Days box. Conversely, if you receive complaints that faxes are being deleted too soon, and the archive does not generate watermark warnings, you can increase the amount of days in the Days box.

Note

  • Changing the watermark values or the archive folder location clears the warning mechanism memory. Therefore, the warning is generated again when the archive exceeds the high watermark, even if it has not dropped below the low watermark.

Understanding watermarks

A watermark is a visible mark showing the greatest height to which water has risen, although there is capacity for the water to continue rising. The low watermark represents the level of water that, when reached, activates a warning system for the reservoir. If the water level reaches the high watermark, that warning system is triggered, setting off the alarm. Until the water level is lowered below the low watermark and rises again above it, the warning system need not activate again because the reservoir authorities know the status. Lowering the water below the low watermark reactivates the warning system and the next time the water reaches the high watermark, the alarm sounds again.

Similarly, the high watermark does not limit the size of the archive but only generates an alarm. This alarm is not repeated until the system is reset by the archive reaching the low watermark.


Managing Incoming Faxes

You can manage incoming faxes at various levels from within Microsoft Management Console (MMC) of Shared Fax Service. You can administer all installed fax devices separately, to enhance control of incoming faxes.

At the server level, you can enable (or disable) receiving new faxes on the General tab of the Service Properties sheet.

The Inbox of Shared Fax Console is the archive viewer for all incoming faxes.

Because installing Shared Fax Service does not disable or stop Microsoft Windows 2000 Fax Service, there is the possibility of a conflict of services trying to receive faxes on the same device. For Shared Fax Service to receive faxes on specific devices you need to configure Windows 2000 Fax not to receive faxes on devices that are used by Shared Fax Service to receive.

Incoming Fax Flow

The following topics discuss specific aspects of managing incoming faxes. For information about specific topics, see:

  • Incoming methods
  • Archiving


Incoming methods

You can select any, all, or none of the available incoming methods of routing independently for each fax device. You can apply more than one incoming method to an incoming fax. If an incoming method is disabled, the device skips that method and processes the incoming fax by the next selected incoming method in order. A disabled incoming method appears with an icon (a red arrow pointing down) over it in the details pane. To learn how to enable device methods, see Enable incoming methods.

The order in which the incoming methods process an incoming fax can be changed. To learn how to change the order of incoming routing methods, see Change the order of incoming routing global methods.

Each incoming method must be configured before it will process incoming faxes. For example, these are the incoming methods that are provided and their necessary configuration steps.

Route through e-mail

  • If using NTLM authentication, you must change the service to run under a specific user account. (The anonymous access method is the default.) To learn how to run the service under a specific user account, see Run the service under a user account.
  • The e-mail address that will receive the incoming faxes must be typed in the property sheet of the incoming method. To learn how to configure incoming methods to route a fax through e-mail, see Configure incoming methods.

Print. The UNC path to the printer that will print the incoming faxes must be entered.

Store in a folder. The path of the directory where the incoming faxes will be stored must be entered.

To learn how to configure incoming routing methods, see Configure incoming methods.

Note

  • If no method is enabled on a fax device but Inbox Archiving is enabled, the incoming fax is sent to the Archive folder.

Important

  • If no method is enabled on a fax device and Inbox Archiving is disabled, the incoming fax is lost.


Archiving

The Inbox of Shared Fax Console is also the archive viewer for all incoming faxes. You can archive all incoming faxes to a specified folder (or, by default, to My Documents). You can view or modify the location of the archive folder on the Inbox tab of the Microsoft Shared Fax Service Properties page. To learn how to archive incoming faxes, see Archive incoming faxes. To learn how to change the location of the archive folder, see View or modify archive folder location.

Important

  • The archive folder must be located in an NTFS file partition.

In addition, you can use the following options to help limit the size of the archive by:

  • Enabling a warning to be generated in the Event Log when the archive reaches a specified quota size (not a limit).
  • Setting a high and low watermark (for the quota) that triggers the warning.
  • Enabling automatic deletion of faxes that remain in the archive a modifiable maximum number of days.

Setting watermarks for the archive quota

Unless you have unlimited resources for archiving faxes, you need to keep the size of the archive at a level relative to the amount of hard disk space you have allocated for that purpose. Watermarks help monitor the size of the archive file. To learn more about what watermarks are, see Understanding watermarks later. If you select the Generate warning in the Event Log check box, the service generates a warning when the quota passes the high watermark. When the size of the archive drops below the low watermark and then rises above it again, the warning is reset. You can get an idea of how this works in the following diagram.

Watermarks

In the diagram, the first peak (from left to right) does not surpass the high watermark and, therefore, does not generate a warning. Where the number of faxes passes the high watermark (on the second upward slope) a warning is generated. Because the mechanism was not reset by reducing the size of the archive beneath the level of the low watermark, a warning is not generated when the size of the archive passes the high watermark on the third upward slope. This only happens on the fourth upward slope, after the mechanism was previously reset.

For instance, if the high watermark is set to 100 MB and the low watermark to 95 MB, the warning mechanism is activated when 100 MB of faxes are archived. The warning is reset when the archive drops to 95 MB and is generated when the archive fills again to 100 MB. However, if the archive drops to 98 MB and then rises above 100, no warning would be generated. To learn how to use the archive quota, see Use archive quota.

Automatically delete faxes older than

The archive rule that limits archive size is the option for automatically deleting faxes after a set number of days passes. This option uses a first in—first out system for deleting the oldest files in the archive and works in conjunction with the watermark warnings. To use the Automatically delete faxes older than option wisely, you should attempt to estimate the maximum number of days that you want faxes to remain in the archive, before they accumulate to a size larger than the low watermark. That is the number that should be entered in the Days box. If you find that the archive watermark mechanism generates warnings too often, lessen the amount of days in the Days box. Conversely, if you receive complaints that faxes are being deleted too soon, and the archive does not generate watermark warnings, you can increase the amount of days in the Days box.

Note

  • Changing the watermark values or the archive folder location clears the warning mechanism memory. Therefore, the warning is generated again when the archive exceeds the high watermark, even if it has not dropped below the low watermark.

Understanding watermarks

A watermark is a visible mark showing the greatest height to which water has risen, although there is capacity for the water to continue rising. The low watermark represents the level of water that, when reached, activates a warning system for the reservoir. If the water level reaches the high watermark, that warning system is triggered, setting off the alarm. Until the water level is lowered below the low watermark and rises again above it, the warning system need not activate again because the reservoir authorities know the status. Lowering the water below the low watermark reactivates the warning system and the next time the water reaches the high watermark, the alarm sounds again.

Similarly, the high watermark does not limit the size of the archive but only generates an alarm. This alarm is not repeated until the system is reset by the archive reaching the low watermark.


Monitoring Fax Activity

This section provides information about monitoring real-time fax activity.

On Shared Fax Service Manager

You can monitor the current activity of faxes on the Shared Fax Service Properties sheet. The current number of faxes in each of three categories is displayed:

  • Queued outgoing faxes
  • Outgoing faxes in progress
  • Incoming faxes in progress

This section covers:

  • Monitoring outgoing and incoming faxes
  • Fax activity logging
  • Activity logging files schema

On Shared Fax Console

You can view fax activity of incoming and outgoing faxes in their respective folders, which appear as subnodes to the Microsoft Shared Fax node in the console tree. When you select a folder, you can view the details of the faxes in that folder and select the activity details that are displayed in the details pane. Here are some of the details that can be displayed:

Outbox

  • Document name
  • Subject
  • Recipient name
  • Recipient number
  • Status
  • Extended status (giving more depth, when applicable, to the report of a status state)
  • Total number of pages in the fax
  • Current page being processed
  • User name
  • Priority of the transmission
  • Called Subscriber ID (CSID)
  • Transmitting Station ID (TSID)
  • Original scheduled time (for transmission)
  • Size (in bytes)
  • Fax device (transmitting)
  • Retries (at sending)
  • Job ID
  • Submission time
  • Transmission time
  • Billing code

Sent items

  • Recipient name
  • Recipient number
  • Subject
  • Document name
  • Transmission end time
  • Server
  • User name
  • Priority of the transmission
  • Called Subscriber ID (CSID)
  • Transmitting Station ID (TSID)
  • Original scheduled time (for transmission)
  • Size (in bytes)
  • Total number of pages in the fax
  • Retries (at sending)
  • Job ID
  • Submission time
  • Transmission start time
  • Transmission duration
  • Billing code
  • Sender name

Incoming

  • Status
  • Extended status
  • Transmitting Station ID (TSID)
  • Called Subscriber ID (CSID)
  • Reception start time
  • Size (in bytes)
  • Fax device (receiving)
  • Caller ID
  • Incoming routing information
  • Job ID
  • Server
  • Retries attempted
  • Icon
  • Pages received (dynamic)

Inbox

  • Status
  • Total number of pages in the fax
  • Transmitting Station ID (TSID)
  • Called Subscriber ID (CSID)
  • Reception start time
  • Reception end time
  • Reception duration
  • Size (in bytes)
  • Fax device (receiving)
  • Caller ID
  • Incoming routing information
  • Job ID


Monitoring outgoing and incoming faxes

Outgoing

You can monitor outgoing faxes in two folders of Shared Fax Console, Outbox, and Sent Items. The administrator grants security permissions to manage these folders. The Outbox is the outgoing queue viewer and the Sent Items folder is the archive of outgoing faxes.

Incoming

You can monitor the incoming queue status of your faxes in the Incoming folder and Inbox of Shared Fax Console. A user who is allowed View fax jobs permission (by the administrator) can view the faxes of others in this folder. The Incoming folder displays information about incoming faxes during their processing and about received faxes following their processing. The Inbox is the archive of incoming faxes.


Fax activity logging

Shared Fax Service provides a log for all incoming and outgoing faxes in two separate text files (.txt). Both fax activity log database text files are located in the same folder, and you can view or modify the location of that folder. The parameters logged in the text file are not subject to change.

One way to query a database text file for specific, user-requested information is to use the ODBC Microsoft Text Driver. The Shared Fax Service supplies a schema file for accessing that information. For more information about the fax activity logging file schema, see Activity logging files schema.

Some incoming fax logging parameters are:

  • StartTime. The time reception started.
  • EndTime. The time reception ended (with no correlation to success or failure of the reception).
  • Status. The final status of the fax.
  • ErrorDesc. If the final status of the fax was an error, and a description is provided, it is displayed.
  • ErrorCode. If the final status of the fax was an error, and an error code is provided, it is displayed for identifying the exact cause of the error.
  • Device. The name of the receiving fax modem device.
  • QueueFileName. The name and location of the fax .tif file.
  • FileSize. The size of the fax in bytes.
  • Pages. The total number of pages sent.
  • RoutingInfo. The routing information that is associated with the incoming fax.

Some outgoing fax logging parameters are:

  • SubmissionTime. The time when the sender submitted the fax to the outgoing queue.
  • Scheduled. The time that the sender scheduled for the transmission.
  • Status. The final status of the fax.
  • ErrorDesc. If the final status of the fax was an error, and a description is provided, it is displayed.
  • ErrorCode. If the final status of the fax was an error, and an error code is provided, it is displayed for identifying the exact cause of the error.
  • StartTime. The time transmission started (not necessarily the same time as the scheduled time).
  • EndTime. The time transmission ended (with no correlation to success or failure of the transmission).
  • Device. The name of the receiving fax modem device.
  • Document. The application-supplied name of the document.
  • FileSize. The size of the fax in bytes.

Event logging for viewing in Event Viewer.

You can view a description and the properties of reported events in Event Viewer.

All events receive a level (or priority) before being reported to Event Viewer. You can set the level for error tracking of event reports in each of four types of events:

  • General
  • Incoming
  • Outgoing
  • Initialization or shutdown

Four level settings exist in each type, from None to High.


Activity logging files schema

The fax activity logging files are generated in Unicode text format. Because it is impossible to configure Microsoft Text Driver to query Unicode text files with the provided user interface—Data Sources (ODBC), Shared Fax Service creates the schema.ini file in the activity logging directory (located where you set the log database folder from the Activity Logging tab of the Properties sheet). That same folder contains the incoming and outgoing activity logging text files and the schema.ini file. The schema.ini file enables the Microsoft Text Driver to query the activity logging text files.

To learn how to enable incoming fax activity logging, see Log incoming fax activity. To learn how to enable outgoing fax activity logging, see Log outgoing fax activity.

To make querying the fax activity log easier to understand, the following table displays the schema of the two activity logging text files (incoming and outgoing). The files are tab delimited. The first row in each file displays the columns names (header).

InboxLOG.txt |  |  |
Column Number | Column Name | Type | Width
1 | Status | Char | 255
2 | ErrorDesc | Char | 255
3 | ErrorCode | Char | 10
4 | StartTime | Date |
5 | EndTime | Date |
6 | Device | Char | 255
7 | QueueFileName | Char | 255
8 | FileSize | Long |
9 | CSID | Char | 255
10 | TSID | Char | 255
11 | CallerID | Char | 255
12 | RoutingInfo | Char | 255
13 | Pages | Long |
OutboxLOG.txt |  |  |
Column Number | Column Name | Type | Width
1 | JobID | Char | 18
2 | ParentJobID | Char | 18
3 | SubmissionTime | Date |
4 | Scheduled | Date |
5 | Status | Char | 255
6 | ErrorDesc | Char | 255
7 | ErrorCode | Char | 10
8 | StartTime | Date |
9 | EndTime | Date |
10 | Device | Char | 255
11 | DialedNumber | Char | 255
12 | CSID | Char | 255
13 | TSID | Char | 255
14 | Pages | Long |
15 | TotalPages | Long |
16 | QueueFileName | Char | 255
17 | Document | Char | 255
18 | FileSize | Long |
19 | Retries | Long |
20 | ServerCoverPage | Char | 255
21 | CoverPageSubject | Char | 255
22 | CoverPageNote | Char | 255
23 | UserName | Char | 255
24 | SenderName | Char | 255
25 | SenderFaxNumber | Char | 255
26 | SenderCompany | Char | 255
27 | SenderStreet | Char | 255
28 | SenderCity | Char | 255
29 | SenderZipCode | Char | 255
30 | SenderCountry | Char | 255
31 | SenderTitle | Char | 255
32 | SenderDepartment | Char | 255
33 | SenderOffice | Char | 255
34 | SenderHomePhone | Char | 255
35 | SenderOfficePhone | Char | 255
36 | SenderEMail | Char | 255
37 | RecipientName | Char | 255
38 | RecipientFaxNumber | Char | 255
39 | RecipientCompany | Char | 255
40 | RecipientStreet | Char | 255
41 | RecipientCity | Char | 255
42 | RecipientZipCode | Char | 255
43 | RecipientCountry | Char | 255
44 | RecipientTitle | Char | 255
45 | RecipientDepartment | Char | 255
46 | RecipientOffice | Char | 255
47 | RecipientHomePhone | Char | 255
48 | RecipientOfficePhone | Char | 255
49 | RecipientEMail | Char | 255
50 | BillingCode | Char | 255


Security (permissions)

Security properties, defined by an administrator, allow or deny permission for users to perform various tasks. Selecting the appropriate check box allows or denies selected users the following independent permissions:

Permission | Description
Submit low-priority faxes | Submit low-priority faxes to the outgoing queue.
Submit normal-priority faxes | Submit normal-priority faxes to the outgoing queue.
Submit high-priority faxes | Submit high-priority faxes to the outgoing queue.
View fax jobs | View all the fax jobs in the queues, not just the user's outgoing jobs (the case when the user has at least one of the submission permissions). With this permission, the user can also view all incoming jobs. A user without any submission permissions or this permission cannot view any jobs.
Manage fax jobs | Manage other user's fax jobs in the queues. Any user can manage his or her own jobs.
View service configuration | View the properties of the service.
Manage service configuration | Modify the properties of the service.
View incoming messages archive | View the messages of others that have been successfully received and stored in the archive. Any user can view his or her own messages.
Manage incoming messages archive | Manage the messages of others that have been successfully received and stored in the archive. Any user can manage his or her own messages.
View outgoing messages archive | View the messages of others that have been successfully sent and stored in the archive. Any user can view his or her own messages.
Manage outgoing messages archive | Manage the messages of others that have been successfully sent and stored in the archive. Any user can manage his or her own messages.

Advanced security options

Advanced security permissions include (in addition to standard permissions):

Permission | Description
Read permissions | View all permissions for all users.
Change permissions | Manage permissions for all users.
Take ownership | Maximum security management and access control. With this permission, a user can take ownership of the fax service security descriptor and then modify it.

Additional advanced security options include the previously mentioned additional security permissions, auditing access capabilities, and assigning ownership to others.

Auditing. The auditing of accessing option that is applied to an object is another advanced security option.

Owner. The owner of an object has discretionary access control of the object and can change the object's Access Control List to allow or disallow others access to the object. The owner has the right to change the discretionary acess control list (DACL) for an object. This enables the owner to totally manage the Shared Fax Service security (since an owner can grant one's self whatever rights are needed). Ownership can be transferred in the following ways:

  • The current owner can grant the take ownership permission to other users, allowing those users to take ownership at any time.
  • An administrator can take ownership of any object under his or her administrative control. For example, if an employee leaves the company suddenly, the administrator can take control of the employee's files.

Although an administrator can take ownership, the administrator cannot transfer ownership to others. This restriction keeps administrators accountable for their actions.

Note

  • Permission to allow users to send messages with their own personal cover pages is a global permission and is separate from security permissions.


How To...

  • Prepare a Microsoft Shared Fax Service for first time use
  • Manage Devices
  • Manage Incoming Faxes
  • Manage Outgoing Faxes
  • Manage Fax Activity
  • Set security options (permissions allocation)
  • Run the service under a user account


Prepare Microsoft Shared Fax Service for first time use

The goal of this topic is to help you through the configuration of Shared Fax Service administration issues, before you move on to client tasks. A cardinal element to be configured in a server-based fax service is your fax device (fax board or modem).

The service is already configured for sending faxes from installed devices and requires no additional user action. For more information about routing outgoing faxes, see Configuring Outgoing Fax Properties. You must configure your fax device to receive faxes with the service.

To verify if a fax device is already installed, on the server computer

  1. Click Start, point to Settings, and click Control Panel.
  2. Double-click Phone and Modem Options, and look for the device in the list on the Modems tab. Then:
    • If it does not appear in the list, install it now according to manufacturers directions. Return to the next step after completing installation.
    • If your device appears in the list, right-click it, and then click Properties.
  3. On the General tab, verify that it is configured correctly, and make any necessary changes.
  4. On the Diagnostics tab, click Query Modem and if an error message appears, follow the directions to rectify the error and repeat the query until the lower window in Modem Information displays commands and responses.

If you complete the above procedure, your fax device is installed. You are now ready to configure your device to receive faxes.

To configure a device for receiving faxes with Shared Fax Service

  1. Open Shared Fax Service Manager.
  2. In the console tree, right-click the device, and then click Properties.

    Where?

    • Microsoft Shared Fax
    • Devices and Providers
    • Devices
    • device
  3. Click Receive faxes, and enter the number of rings you allow before answering incoming calls in the Rings before answering box.
  4. In Called Subscriber ID (CSID), type a descriptive identifying string that will be transmitted to senders of faxes to this device during reception and will appear in the display of fax machines of senders of faxes to that device. This string is often a combination of the fax or telephone number and the name of the business. It is often the same as the Transmitting Station ID (TSID).
  5. Verify that the device will be dedicated to Shared Fax Service only and that no other service (for instance, Windows 2000 Fax) will answer incoming calls to the device.

    6. Important

    • If you are using only one fax device (even if only until you add a device), you must disable Windows 2000 Fax from receiving faxes before you try to receive a fax with Shared Fax Service. If you have multiple devices, you must disable reception for Windows 2000 Fax on fax devices that you want to dedicate to receiving faxes for Shared Fax Service. To learn how to disable Windows 2000 Fax from receiving faxes, see Incoming methods. Although you can use the same device to send faxes with Windows 2000 Fax, you might encounter occasional conflicts.

For more information about topics related to fax devices, see Managing Devices.

To configure how you want the service to distribute received faxes to their end destination (incoming fax routing)

  1. In the console tree, click Incoming Methods.

    Where?

    • Microsoft Shared Fax (Local)
    • Devices and Providers
    • Devices
    • device
    • Incoming Methods
  2. In the details pane, right-click one of the following processing methods for a received fax, click Properties and, according to the method you have selected:
    • Route through e-mail. On the E-mail tab, in Mail to, type the e-mail address to which incoming faxes will be sent. Right-click Microsoft Shared Fax (Local), and then click Properties. Enter SMTP server information according to the description in Send an e-mail receipt of delivery notification to sender. This information also enables clients to receive an e-mail delivery notification message for each successful or failed fax transmission.
    • Print. On the Print tab, type or browse the UNC path to the printer that will print the incoming faxes.
    • Store in a folder. On the Store in folder tab, type or browse to the path of the folder where the incoming faxes will be stored.
  3. Right-click the method you have just configured, and click Enable.

For more information about routing incoming faxes, see Incoming methods.

Notes

  • To open the Shared Fax Service Manager, click Start, point to Programs, point to Microsoft Shared Fax, and then click Shared Fax Service Manager.
  • Repeat steps 2 and 3 for configuring as many methods as you want. You might want to configure a method, yet not enable it until a later time, thereby preparing it for quick implementation.
  • If you've expanded incoming routing methods with a third-party extension, you must open the Properties sheet of that extension and enter configuration information on the dedicated tab of that extension.
  • If you have electronic mail installed, but want to access more information about your Microsoft SMTP service configuration, type file:\\%systemroot%\help\mail.chm in your browser address bar and press ENTER.

Related Topics

Configuring Outgoing Fax Properties

Managing Incoming Faxes

Set Security Options (Permissions Allocation)


Manage Devices

  • Enable devices to receive and send faxes
  • Enable Adaptive Answering
  • Configure Device Properties
  • Add or remove a device


Enable devices to receive and send faxes

To enable devices to receive and send faxes

  1. Open Shared Fax Service Manager.
  2. In the console tree, right-click the device you want to configure, and then click the Send or Receive menu command to enable sending or receiving on that device.

    Where?

    • Microsoft Shared Fax
    • Devices and Providers
    • Devices
    • device

Notes

  • To open the Shared Fax Service Manager, click Start, point to Programs, point to Microsoft Shared Fax, and then click Microsoft Shared Fax Service Manager.
  • You can immediately send faxes with a newly added device, but you cannot receive faxes until you enable that option.
  • To disable sending or receiving, in the second step click to remove the appropriate check mark.
  • You can also manage receiving and sending capabilities on the Action menu. First, click a device, and then click the Send or Receive menu command to enable sending or receiving on that device.
  • An additional option to manage the sending and receiving of faxes is on the Properties sheet of each device. First, right-click a device, and then click Properties. In the Transmission settings box, select or clear the desired check box for controlling receiving or sending capabilities.

Related Topics

Add or remove a device

Configure Device Properties


Enable Adaptive Answering

To enable Adaptive Answering

  1. Open Shared Fax Service Manager.
  2. In the console tree, click a device, and then click Properties.

    Where?

    • Microsoft Shared Fax
    • Devices and Providers
    • Devices
    • device
  3. On the fax service provider (service provider FSP) tab, click the Enable Adaptive Answering check box.

Notes

  • To open the Shared Fax Service Manager, click Start, point to Programs, point to Microsoft Shared Fax, and then click Microsoft Shared Fax Service Manager.
  • If adaptive answering fails when answering a call, the call will be immediately disconnected.
  • To disable the feature, click to remove the check mark.

Related Topics

Adaptive Answering

Configure Device Properties


Configure Device Properties

  • Enter device description
  • Set transmission settings


Enter device description

To enter device description

  1. Open Shared Fax Service Manager.
  2. In the console tree, right-click the device you want to configure, and then click Properties.

    Where?

    • Microsoft Shared Fax
    • Devices and Providers
    • Devices
    • device
  3. On the General tab, type a description of the device in the Description box.

Notes

  • To open the Shared Fax Service Manager, click Start, point to Programs, point to Microsoft Shared Fax, and then click Microsoft Shared Fax Service Manager.
  • The description might include, for instance, technical information about the device or its model number. The description is a tool for helping administrators distinguish between devices.

Related Topics

Set transmission settings


Set transmission settings

To set transmission settings

  1. Open Shared Fax Service Manager.
  2. In the console tree, right-click the device that you want to configure, and then click Properties.

    Where?

    • Microsoft Shared Fax
    • Devices and Providers
    • Devices
    • device
  3. On the General tab:
    • If you want to modify the set number of rings allowed before the device will answer, enable the receiving capability. (See Enable devices to receive and send faxes.) Then, type the number in the Rings before answering box.
    • If you want to enter a Called Subscription IDentifier (CSID), enable its receiving capability. (See Enable devices to receive and send faxes.) Then, type a CSID in the Called Subscriber ID (CSID) box.
    • If you want to enter a Transmitting Station IDentifier (TSID), enable its sending capability. (See Enable devices to receive and send faxes.) Then, type a TSID in the Transmitting Station ID (TSID) box.

Notes

  • To open the Shared Fax Service Manager, click Start, point to Programs, point to Microsoft Shared Fax, and then click Microsoft Shared Fax Service Manager.
  • You can modify the set number of rings allowed before the device will answer only after you have enabled the receiving capability.
  • CSID is a descriptive identifying string that will be transmitted to senders of faxes to the receiving device during reception and will appear in the display of fax machines of senders of faxes to that device. This string is often a combination of the fax or telephone number and the name of the business. It is often the same as the transmitting station ID.
  • TSID is a descriptive identifying string that is sent on the pages of faxes and appears in the display of fax machines of recipients of faxes from the sending device. TSID is often a combination of the fax or telephone number and the name of the business.

Related Topics

Enter device description


Add or remove a device

To add or remove a device

The service must be restarted and the display refreshed to recognize the device. Shared Fax Service recognizes any newly installed Plug and Play device during service startup. Once you install a modem or another fax device, simply restart the service and the service will automatically recognize the new device and show it in the console tree of Shared Fax Service Manager. It will appear there as a sub node of Devices, and in the details pane of the Devices node.

The removal of a device is managed identically. After removing a device, the administrator should restart the service and refresh the display so it accurately reflects the existence (or nonexistence) of the device.

To view the modified display:

  1. Open Shared Fax Service Manager.
  2. In the console tree, right-click Microsoft Shared Fax.
  3. Click the Stop command on the drop-down menu.
  4. Click the Start command on the drop-down menu.
  5. Press F5 to refresh the console tree view.

Note

  • To open the Shared Fax Service Manager, click Start, point to Programs, point to Microsoft Shared Fax, and then click Microsoft Shared Fax Service Manager.

Related Topics

Enable devices to receive and send faxes

Configure Device Properties


Manage Incoming Faxes

  • Configure incoming methods
  • Enable incoming methods
  • Change the order of incoming routing global methods
  • Use archive quota


Configure incoming methods

To configure incoming methods

  1. Open Shared Fax Service Manager.
  2. In the console tree, click Incoming Methods.

    Where?

    • Microsoft Shared Fax
    • Devices and Providers
    • Devices
    • device
    • Incoming Methods
  3. In the details pane, right-click the method you want to configure, and then click Properties.
  4. According to which method you want to configure:
    • Route through e-mail. On the E-mail tab, type the e-mail address to which incoming faxes will be sent. Right-click Microsoft Shared Fax (Local), and then click Properties. Enter SMTP server information according to the description in Send an e-mail receipt of delivery notification to sender. This information also enables the client to receive an e-mail delivery notification message for each succussful or failed fax transmission.
    • Print. On the Print tab, type or browse the UNC path to the printer that will print the incoming faxes.
    • Store in a folder. On the Store in folder tab, type or browse to the path of the directory where the incoming faxes will be stored.

Notes

  • To open the Shared Fax Service Manager, click Start, point to Programs, point to Microsoft Shared Fax, and then click Microsoft Shared Fax Service Manager.
  • Third-party vendors can add additional incoming routing methods. You determine the order in which the new and existing methods appear.

Related Topics

Change the order of incoming routing global methods


Enable incoming methods

To enable incoming methods

  1. Open Shared Fax Service Manager.
  2. In the console tree, click Incoming Methods.

    Where?

    • Microsoft Shared Fax
    • Devices and Providers
    • Devices
    • device
    • Incoming Methods
  3. In the details pane, right-click the method you want to enable or disable and then click the available command.

Notes

  • To open the Shared Fax Service Manager, click Start, point to Programs, point to Microsoft Shared Fax, and then click Microsoft Shared Fax Service Manager.
  • Only the status that is the opposite of the current status of the method is available. For instance, if a method is currently "enabled", only the Disable command is available.
  • You can also enable or disable device methods using the Action menu. First, you must click a method and then click Enable or Disable, depending on which is available.
  • Third-party vendors can add additional incoming routing methods and determine the order in which the new and existing methods appear.

Related Topics

Change the order of incoming routing global methods


Change the order of incoming routing global methods

To change the order of incoming routing global methods

  1. Open Shared Fax Service Manager.
  2. In the console tree, click Global Methods.

    Where?

    • Microsoft Shared Fax
    • Incoming routing
    • Global Methods
  3. In the details pane, right-click the method that you want to move, and then click either Move up or Move down.

Notes

  • To open the Shared Fax Service Manager, click Start, point to Programs, point to Microsoft Shared Fax, and then click Microsoft Shared Fax Service Manager.
  • You can also change the order of global methods on the Action menu or on the toolbar. First, click a device. On the Action menu, click Move up or Move down, or on the toolbar, click the up or down arrow button.

Related Topics

Enable incoming methods


Use archive quota

To use archive quota

  1. Open Shared Fax Service Manager.
  2. In the console tree, right-click Shared Fax Service, and then click Properties.

    Where?

    • Microsoft Shared Fax
  3. To enable the archive warning, on the Inbox tab, select Generate warning in the Event Log in the Archive rules box.
  4. In the Size quota low watermark box, set the required number of megabytes to load the warning mechanism.
  5. In the Size quota high watermark box, type the required number of megabytes to trigger the warning mechanism.
  6. To enable the automatic deletion mechanism, select the Automatically delete faxes older than check box.
  7. In the Automatically delete faxes older than box, type the maximum number of days that a fax can remain in the archive before being deleted.

Note

  • To open the Shared Fax Service Manager, click Start, point to Programs, point to Microsoft Shared Fax, and then click Microsoft Shared Fax Service Manager.

Related Topics

View or modify archive folder location


Manage Outgoing Faxes

  • Groups
  • Rules
  • Sent Items
  • Cover Pages
  • Send an e-mail receipt of delivery notification to sender
  • Brand banners on all outgoing faxes


Groups

  • Create a group
  • Delete a group
  • Add a device to a group
  • Delete a device from a group
  • Change the order of devices within a group


Create a group

To create a group

  1. Open Shared Fax Service Manager.
  2. In the console tree, right-click Groups, point to New, and then click Group.

    Where?

    • Microsoft Shared Fax
    • Outgoing Routing
    • Groups
  3. Type a group name.

Notes

  • To open the Shared Fax Service Manager, click Start, point to Programs, point to Microsoft Shared Fax, and then click Microsoft Shared Fax Service Manager.
  • You can also create a group on the Action menu. In the console tree, click Groups. On the Action menu, point to New, and then click Group. Type a group name.
  • A newly added group will appear with a "Note" sign (a red exclamation mark) over the group's icon until you have added a device to it.

Related Topics

Delete a group

Add a device to a group

Delete a device from a group

Change the order of devices within a group


Delete a group

To delete a group

  1. Open Shared Fax Service Manager.
  2. In the console tree, click Groups.

    Where?

    • Microsoft Shared Fax
    • Outgoing Routing
    • Groups
  3. In the details pane, right-click a group and then click Delete.
  4. Click Yes to confirm.

Notes

  • To open the Shared Fax Service Manager, click Start, point to Programs, point to Microsoft Shared Fax, and then click Microsoft Shared Fax Service Manager.
  • You can also delete a group on the Action menu or toolbar. First, in the console tree, click a group. On the Action menu, click Delete, or on the toolbar, click the Delete button.

Related Topics

Create a group

Add a device to a group

Delete a device from a group

Change the order of devices within a group


Add a device to a group

To add a device to a group

  1. Open Shared Fax Service Manager.
  2. In the console tree, click Groups.

    Where?

    • Microsoft Shared Fax
    • Outgoing Routing
    • Groups
  3. In the details pane, right-click a group, point to New, and then click Device(s).
  4. Click a device in the list.

Notes

  • To open the Shared Fax Service Manager, click Start, point to Programs, point to Microsoft Shared Fax, and then click Microsoft Shared Fax Service Manager.
  • You can also add a new device to a group on the Action menu. First, in the console tree, click a group. On the Action menu, point to New, and then click Device(s). Click a device in the list.
  • Outgoing faxes are processed by the first available device in a group according to the order in which they appear in the details pane of that group.

Related Topics

Create a group

Delete a group

Change the order of devices within a group


Delete a device from a group

To delete a device from a group

  1. Open Shared Fax Service Manager.
  2. In the console tree, click a group.

    Where?

    • Microsoft Shared Fax
    • Outgoing Routing
    • Groups
    • group
  3. In the details pane, right-click a device and then click Delete.
  4. Click Yes to confirm.

Notes

  • To open the Shared Fax Service Manager, click Start, point to Programs, point to Microsoft Shared Fax, and then click Microsoft Shared Fax Service Manager.
  • You can also delete a device from a group on the Action menu and on the toolbar. First, click a device. On the Action menu, click Delete, or on the toolbar, click the Delete button. In either case, click Yes to confirm.

Related Topics

Create a group

Delete a group

Add a device to a group

Change the order of devices within a group


Change the order of devices within a group

To change the order of devices within a group

  1. Open Shared Fax Service Manager.
  2. In the console tree, click a group.

    Where?

    • Microsoft Shared Fax
    • Outgoing Routing
    • Groups
    • group
  3. In the details pane, right-click a device, and then click Move up or Move down.

Notes

  • To open the Shared Fax Service Manager, click Start, point to Programs, point to Microsoft Shared Fax, and then click Microsoft Shared Fax Service Manager.
  • You can also change the order of devices within a group on the Action menu and on the toolbar. First, click a device. On the Action menu, click Move up or Move down, or on the toolbar, click the up or down arrow button.

Related Topics

Create a group

Delete a group

Add a device to a group

Delete a device from a group


Rules

  • Create or delete a rule
  • Modify a rule


Create or delete a rule

To create or delete a rule

To create a rule

  1. Open Shared Fax Service Manager.
  2. In the console tree, right-click Rules, point to New, and then click Rule.

    Where?

    • Microsoft Shared Fax
    • Outgoing Routing
    • Rules|New|Rule
  3. Do one of the following:
    • if you know the country or region code, type it in Country/region.
    • if you are not sure of the code, click Select, in the list click a country or region, and then click OK.
  4. Select Specific area code to limit the rule within the selected country or region, or All areas to apply the rule to the entire country or region.
  5. If you want the rule to target a specific device or routing group, do one of the following:
    • If you want the rule to target a device, select Device, and then select a device from the list.
    • If you want the rule to target a routing group, select Routing group, and then select a group from the list.

To delete a rule

In the details pane right-click a rule, and then click Delete.

Notes

  • To open the Shared Fax Service Manager, click Start, point to Programs, point to Microsoft Shared Fax, and then click Microsoft Shared Fax Service Manager.
  • You can also delete a rule on the Action menu or on the toolbar. On the Action menu, click Delete, or on the toolbar, click the Delete button. Then click Yes.

Related Topics

Modify a rule


Modify a rule

To modify a rule

  1. Open Shared Fax Service Manager.
  2. In the console tree, click Rules.

    Where?

    • Microsoft Shared Fax
    • Outgoing Routing
    • Rules
  3. In the details pane, right-click a rule, and then click Properties.
  4. Modify parameters in the same way in which you would configure a new rule.

Note

  • To open the Shared Fax Service Manager, click Start, point to Programs, point to Microsoft Shared Fax, and then click Microsoft Shared Fax Service Manager.

Related Topics

Create or delete a rule


Sent Items

  • View or modify archive folder location
  • Use archive quota


View or modify archive folder location

To view or modify archive folder location

  1. Open Shared Fax Service Manager.
  2. In the console tree, right-click Microsoft Shared Fax, and then click Properties.
  3. On the Sent Items tab, the folder location appears in the Archive folder box.
  4. Click Browse (...) and, from an NTFS file partition, select the folder you want to become the archive folder.
  5. If the folder you want does not exist, click New Folder and type a name for the new folder, just as you do to create a new folder in any Microsoft Windows Explorer environment.
  6. When the name of the chosen folder appears in the Folder box, click OK.

Notes

  • To open the Shared Fax Service Manager, click Start, point to Programs, point to Microsoft Shared Fax, and then click Microsoft Shared Fax Service Manager.
  • Shared Fax Service archive folders must be located in an NTFS file partition.

Related Topics

Use (Sent Items) archive quota

Use (Inbox) archive quota


Use archive quota

To use archive quota

  1. Open Shared Fax Service Manager.
  2. In the console tree, right-click Microsoft Shared Fax, and then click Properties.
  3. To enable the archive warning, on the Sent Items tab, select Generate warning in the Event Log in the Archive rules box.
  4. In the Size quota low watermark box, set the required number of megabytes to load the warning mechanism.
  5. In the Size quota high watermark box, type the required number of megabytes to trigger the warning mechanism.
  6. To enable the automatic deletion mechanism, select the Automatically delete faxes older than check box.
  7. In the Automatically delete faxes older than box, type the maximum number of days that a fax can remain in the archive before being deleted.

Note

  • To open the Shared Fax Service Manager, click Start, point to Programs, point to Microsoft Shared Fax, and then click Microsoft Shared Fax Service Manager.

Related Topics

View or modify archive folder location


Cover Pages

  • Allow personal cover pages
  • Modify the default cover page


Allow personal cover pages

To allow personal cover pages

  1. Open Shared Fax Service Manager.
  2. In the console tree, right-click Microsoft Shared Fax, and then click Properties.
  3. On the Outbox tab, select the Allow use of personal cover pages check box.

Note

  • To open the Shared Fax Service Manager, click Start, point to Programs, point to Microsoft Shared Fax, and then click Microsoft Shared Fax Service Manager.

Related Topics

Modify the default cover page


Modify the default cover page

To modify the default cover page

To edit an existing template

  1. Open Shared Fax Service Manager.
  2. In the console tree, click Cover Pages.
  3. In the details pane, right-click the cover page you want to modify, and then click Open.
  4. Modify the template.
  5. Do one of the following:
    • If you want the modified template to replace the default template, click the Save button, and save the template in the Documents and Settings\All Users\Documents\My Faxes\Common CoverPages directory.
    • If you want to offer the modified template, but keep the default template, on the File menu click Save As and type another name for the .cov file, and save the template in the Documents and Settings\All Users\Documents\My Faxes\Common Cover Pages directory.

Note

  • To open the Shared Fax Service Manager, click Start, point to Programs, point to Microsoft Shared Fax, and then click Microsoft Shared Fax Service Manager.
  • You can also access cover page templates by clicking a template in the details pane, and then, on the Action menu click Open.
  • The option of deleting an existing cover page template is performed in the same way as opening one, except that you click Delete.

To create a new default cover page

  1. Open Shared Fax Service Manager.
  2. In the console tree, right-click Cover Pages.

    3. Where?

    • Microsoft Shared Fax (Local)
    • Cover Pages
  3. Click New, and then click Cover Page.
  4. Create the page in the Fax Cover Page Editor.
  5. Save the page in the .cov format in the default folder location.

Related Topics

Allow personal cover pages


Send an e-mail receipt of delivery notification to sender

To send an e-mail receipt of delivery notification to sender

  1. Open Shared Fax Service Manager.
  2. In the console tree, right-click Microsoft Shared Fax, and then click Properties.
  3. On the Receipts tab, click Enable SMTP e-mail receipts delivery.
  4. In From e-mail address, type the e-mail address of the sender of the receipt.
  5. In Server address, type the SMTP server address for the mail server of the administrator.
  6. In Port, type the port number.
  7. Click Authentication.
    • If anonymous access is sufficient to access the SMTP server, click Anonymous access.
    • If basic authentication access is needed, click Basic authentication. Type a username and password of the sender of the receipt.
    • If NTLM authentication is needed to access the SMTP server, click NTLM authentication.

Notes

  • To open the Shared Fax Service Manager, click Start, point to Programs, point to Microsoft Shared Fax, and then click Microsoft Shared Fax Service Manager.
  • Shared Fax Service must be running under the user account to enable NTLM authentication. To learn how to run the service under a user account, see Run the service under a user account.

Related Topics

Sent Items

Configuring Outgoing Fax Properties


Brand banners on all outgoing faxes

To brand banners on all outgoing faxes

  1. Open Shared Fax Service Manager.
  2. In the console tree, right-click Microsoft Shared Fax, and then click Properties.
  3. On the Outbox tab, click Include banner.

Notes

  • To open the Shared Fax Service Manager, click Start, point to Programs, point to Microsoft Shared Fax, and then click Microsoft Shared Fax Service Manager.
  • Branding is the printing of transmission information about an outgoing fax on the edge of each of its pages in what is known as a banner. The full version of this information appears on all pages where it fits. Where it does not fit, a shorter version appears.
  • The full version of the banner includes: %1 From: %2 To: %3 Page: %4 Of %5 Pages. The values represent actual data, where:
    • %1 = Date and time at moment of transmission
    • %2 = Transmitting Station ID (TSID) (user provided or the device TSID from the service settings) + company name
    • %3 = Target phone number
    • %4 = Current page
    • %5 = Total pages
  • You cannot modify the items to be included on this list.
  • If the information in the above list does not fit into the page, the shorter banner includes only: %1 From: %2 Page: %4 Of %5 Pages.

Related Topics

Outbox options


Manage Fax Activity

  • Control real-time activity
  • Archive incoming faxes
  • Archive successfully sent faxes
  • Log incoming fax activity
  • Log outgoing fax activity
  • Set Event Log sensitivity levels


Control real-time activity

To control real-time activity

  1. Open Shared Fax Service Manager.
  2. In the console tree, right-click Microsoft Shared Fax, and then click Start or Stop.

Notes

  • To open the Shared Fax Service Manager, click Start, point to Programs, point to Microsoft Shared Fax, and then click Microsoft Shared Fax Service Manager.
  • You can also control activity on the Action menu or the toolbar. On the Action menu, click Start or Stop, or on the toolbar, click the Start or Stop button.
  • The Start and Stop commands provide the same function as the Start and Stop commands in the Services dialog box of Microsoft Windows 2000. They affect the entire service by controlling incoming, processing, and outbound faxes. In addition, if you have selected Stop, the system will not accept new outbound faxes.
  • You can start the service only from a Stopped status, not from a Paused status.

Related Topics

Archive incoming faxes

Archive successfully sent faxes

Log incoming fax activity

Log outgoing fax activity

Set Event Log sensitivity levels


Archive incoming faxes

To archive incoming faxes

  1. Open Shared Fax Service Manager.
  2. In the console tree, right-click Microsoft Shared Fax, and then click Properties.
  3. On the Inbox tab, select the Archive all incoming faxes to the following folder check box.

Note

  • To open the Shared Fax Service Manager, click Start, point to Programs, point to Microsoft Shared Fax, and then click Microsoft Shared Fax Service Manager.

Related Topics

Control real-time activity

Archive successfully sent faxes

Log incoming fax activity

Log outgoing fax activity

Set Event Log sensitivity levels


Archive successfully sent faxes

To archive successfully sent faxes

  1. Open Shared Fax Service Manager.
  2. In the console tree, right-click Microsoft Shared Fax, and then click Properties.
  3. On the Sent Items tab, select the Archive all successfully sent faxes to the following folder check box.

Note

  • To open the Shared Fax Service Manager, click Start, point to Programs, point to Microsoft Shared Fax, and then click Microsoft Shared Fax Service Manager.

Related Topics

Control real-time activity

Archive incoming faxes

Log incoming fax activity

Log outgoing fax activity

Set Event Log sensitivity levels


Log incoming fax activity

To log incoming fax activity

  1. Open Shared Fax Service Manager.
  2. In the console tree, right-click Microsoft Shared Fax, and then click Properties.
  3. On the Activity Logging tab, select the Log Incoming Fax Activity check box.

Note

  • To open the Shared Fax Service Manager, click Start, point to Programs, point to Microsoft Shared Fax, and then click Microsoft Shared Fax Service Manager.

Related Topics

Control real-time activity

Archive incoming faxes

Archive successfully sent faxes

Log outgoing fax activity

Set Event Log sensitivity levels


Log outgoing fax activity

To log outgoing fax activity

  1. Open Shared Fax Service Manager.
  2. In the console tree, right-click Microsoft Shared Fax, and then click Properties.
  3. On the Activity Logging tab, select the Log Outgoing Fax Activity check box.

Note

  • To open the Shared Fax Service Manager, click Start, point to Programs, point to Microsoft Shared Fax, and then click Microsoft Shared Fax Service Manager.

Related Topics

Control real-time activity

Archive incoming faxes

Archive successfully sent faxes

Log incoming fax activity

Set Event Log sensitivity levels


Set Event Log sensitivity levels

To set Event Log sensitivity levels

  1. Open Shared Fax Service Manager.
  2. In the console tree, right-click Microsoft Shared Fax, and then click Properties.
  3. On the Event Reports tab, move the sliders right or left to raise or lower sensitivity levels for the various fax error types.

Note

  • To open the Shared Fax Service Manager, click Start, point to Programs, point to Microsoft Shared Fax, and then click Microsoft Shared Fax Service Manager.

Related Topics

Control real-time activity

Archive incoming faxes

Archive successfully sent faxes

Log incoming fax activity

Log outgoing fax activity


Set Security Options (Permissions Allocation)

To set security options (permissions allocation)

  1. Open Shared Fax Service Manager.
  2. In the console tree, right-click Microsoft Shared Fax, and then click Properties.
  3. On the Security tab, click a user or group you want to set permissions for.

    4. If a user or group does not appear, click Add, and type the name of the user and then click OK to close the dialog box.

  4. In Permissions, click either Allow or Deny to change permissions.

Notes

  • To open the Shared Fax Service Manager, click Start, point to Programs, point to Microsoft Shared Fax, and then click Microsoft Shared Fax Service Manager.
  • You can view Shared Fax Service security settings, but you must be an administrator or have administrator privileges to make changes.


Run the service under a user account

To run the service under a user account

  1. Open Services, and double-click Microsoft Shared Fax.
  2. On the Log On tab, click This account, and enter a user name or click Browse to find a user in the list.
  3. In Password, type the password of the user.
  4. In Confirm password, type the password of the user a second time.
  5. Restart the service.

Note

  • To open the Services, click Start, point to Programs, point to Administrative Tools, and then click Services.

Related Topics

Incoming methods

Send an e-mail receipt of delivery notification to sender


Additional Resources

This section provides additional general information for Shared Fax Service.

  • Troubleshoot Shared Fax Service
  • Glossary
  • Event Messages
  • Performance counters


Troubleshoot Shared Fax Service

What problem are you having?

Clients cannot send faxes that are routed to a specific fax device, according to a rule that I have created and configured.

Cause: The device is not turned on or connected to the mains power, or the data cable is not connected.

Solution: Verify that the device is connected to the mains power and turned on, and that the data cable is correctly connected.

Cause: Some of the properties of the device were misconfigured.

Solution: Verify that you've correctly configured the device, enabling it to send faxes. In the console tree of Shared Fax Service Manager, right-click the device you want to configure, and then click the Send or Receive menu command to enable sending or receiving on that device.

Cause: Both the Shared Fax Service and the Shared Modem Service are using the server computer's fax modem device. The server cannot determine which of the services should use the device. Therefore, neither service can use the device.

Solution: Decide which service will use the modem device. If the device will be assigned to the Shared Fax Service, then remove it from the Shared Modem Service. Open the Shared Modem Service Control Panel. Remove the COM port used by the specific fax modem device from all modem pools. Save the new Shared Modem Service configuration and restart the Shared Modem service to apply the changes.

Users are sending faxes to phone numbers which, when I test them on a phone, are working correctly; but when the Shared Fax server dials them, it gets a busy signal.

Cause: There is a mistake in the outgoing routing rule that controls the transmission of faxes to those numbers.

Solution: In the console tree of Shared Fax Service Manager, click Rules. In the details pane, right-click the rule, and then click Properties. Correct any mistakes in the configuration.

Cause: The user has added a zero ("0") before a local area code that would normally be used for noncomputer-assisted telephone dialing. In addition, other deviations from the canonical (that is, strictly adhered to) format might have been made.

Solution: Users must type the fax number in the following canonical format, [fax:+country/region_code space (area_code) space fax_number]. They must start and end with brackets and leave empty spaces only where shown. They must include all other items exactly as in the following example [fax:+1 (818) 5551111]. The word "fax" must be followed by a colon, a plus sign (+), the country or region code, a space, the local area code in parenthesis, a space, and the phone number.

See also, To Send a fax from Microsoft Outlook in Shared Fax Client help for additional information.

A user on a multiple-profile client computer cannot send faxes, where another user can send faxes.

Cause: When an administrator user on a client computer first logs on and configures the Shared Fax Service for that client, a printer connection is added to printers that are already installed for the administrator. This connection enables the administrator user to send faxes with the service. The question is also raised whether the service will be accessible for only the administrator, or for guest users on that computer as well. If the administrator answered that guests will also have access to the service, each guest user (profile) on that computer must add a printer connection to be able to send faxes.

Solution: Instruct the guest user on how to add a printer to that client computer, from within that user's profile.

A fax job is submitted by a user and is in the outgoing queue, but there is no attempt on the side of the fax server to send it.

Cause: The user scheduled transmission for the time when discount rates apply. The job could be pending that time or there might be a mistake in the discount rate start or stop times.

Solution: Right-click Microsoft Shared Fax, and then click Properties. On the Outbox tab, correct any errors in the Discount rate start or Discount rate stop boxes.

Cause: The user specified a time to send. That time has not arrived.

Solution: In Shared Fax Console, right-click the job in question, and then click Properties. You can view the scheduled transmission time on the General tab.

Cause: The fax did not succeed in a previous attempt to send and is again in the pending state before the next retry.

Solution: In Shared Fax Console, right-click the job in question, and then click Properties. You can view the job status on the General tab. If the status is not Retries exceeded, the job is still pending an additional retry.

Cause: There was an attempt to send the fax but it failed because of lack of general computing resources.

Solution: Shared Fax Service will wait until there are enough resources, and will send the fax at that time.

The system cannot receive faxes.

Cause: When you first run Shared Fax Service you cannot receive faxes until you enable that option.

Solution: In the console tree of Shared Fax Service Manager, right-click the device you want to configure, and then click the Send or Receive menu command to enable sending or receiving on that device.

Cause: The device that is set to receive is not turned on or connected to the mains power, or the data cable is not connected.

Solution: Verify that the device is connected to the mains power and turned on, and that the data cable is correctly connected.

Cause: Some of the properties of the device were misconfigured.

Solution: Verify that you've correctly configured the device, enabling it to receive faxes.

See also Enable devices to receive and send faxes.

Cause: : Both the Shared Fax Service and the Shared Modem Service are using the server computer's fax modem device. The server cannot determine which of the services should use the device. Therefore, neither service can use the device.

Solution: Decide which service will use the modem device. If the device will be assigned to the Shared Fax Service, then remove it from the Shared Modem Service. Open the Shared Modem Service Control Panel. Remove the COM port used by the specific fax modem device from all modem pools. Save the new Shared Modem Service configuration and restart the Shared Modem service to apply the changes.

A user contends that someone is trying to send a fax to the service from the outside, but not succeeding.

Cause: Both Shared Fax Service and the local Microsoft Windows 2000 Fax are enabled for receiving faxes. This causes a conflict that prevents either from receiving faxes.

Solution: Click Start, point to Programs, point to Accessories, point to Communications, point to Fax, and then click Fax Service Management. In the console tree, click Devices. In the details pane, right-click a device, and then clear the check mark from next to Receive.

Cause: The outgoing faxes queue is so long that that it is constantly sending faxes. This takes up all available device resources.

Solution: Check fax activity to verify that this is the cause of the problem. To check fax activity, right-click Microsoft Shared Fax, and then click Properties. On the General tab, see how many faxes are queued and how many faxes are in progress. If this is the problem, do one of the following:

  • Pause the outgoing queue to enable incoming calls to be answered. To pause the outgoing queue, on the General tab, click the Disable transmission of outgoing faxes check box. Remember to return and clear the check box to enable sending faxes again.
  • Pause the submission of new faxes to the outgoing faxes queue. To pause the submission of new faxes, on the General tab, click the Disable submission of new outgoing faxes check box. Remember to return and clear the check box to enable submitting new faxes again.
  • Add fax devices to divide the load between them. According to your situation, one might be configured for receiving only.

Incoming faxes aren't being routed by e-mail, despite the fact that the Route through e-mail incoming method is enabled.

Cause: The e-mail address of the recipient was not configured correctly.

Solution: Correct the e-mail address of the recipient of the faxes on the E-mail tab of the Route through E-mail Properties sheet by double-clicking the Route through e-mail incoming method in the details pane.

Where?

  • Microsoft Shared Fax
  • Devices and Providers
  • Devices
  • device
  • Incoming Methods

Cause: NTLM authentication is being used for the SMTP server (for sending delivery receipts and incoming faxes routing using e-mail), and you must configure the service run under a user account (as opposed to a local system account).

Solution: Select NTLM authentication on the Receipts tab of the Microsoft Shared Fax Properties sheet.

See also Incoming methods.

The Shared Fax Service toolbar Start, Stop, and Shared Fax Console buttons disappeared.

Cause: The Shared Fax Service toolbar only appears when you select the Microsoft Shared Fax node in the console tree.

Solution: Select Microsoft Shared Fax in the console tree.

Delivery notification receipts aren't being sent to senders of faxes, despite my configuring the option.

Cause: NTLM authentication is required to access the SMTP server (for sending delivery receipts and incoming faxes routing using e-mail), and you must configure the service run under a user account (as opposed to a local system account).

Solution: Select NTLM authentication on the Receipts tab of the Microsoft Shared Fax Properties sheet.

Cause: A parameter was not typed correctly in a field on the Receipts tab of the Microsoft Shared Fax Properties sheet.

Solution: Verify that all information on the Receipts tab of the Microsoft Shared Fax Properties sheet are correct.

See also Send an e-mail receipt of delivery notification to sender.

A specific modem device is consistently answering calls that are often disconnected immediately after answering. These calls rarely achieve the status of successfully received faxes.

Cause: Adaptive answering is enabled, but the modem device does not support adaptive answering. If adaptive answering fails, calls are immediately disconnected.

Solution: Right-click the device in the details pane, and then click Properties.

Where?

  • Microsoft Shared Fax
  • Devices and Providers
  • Devices
  • device

On the FSP (Fax Service Provider) tab, clear the Enable Adaptive Answering check box.

Cause: The device supposedly supports adaptive answering, but (because of a lack of standardization between modem models) the device is not distinguishing between incoming data and an incoming fax. When adaptive answering fails, calls are immediately disconnected.

Solution: Test how the modem (that claims to support adaptive answering) deals with data transmissions and receiving faxes. If either type of call is not correctly received by the modem, you should disable the adaptive answering option for this device (as described in the previous solution).

I added a modem and I can see it in the modem list on the Phone and Modem Options dialog box (in Control Panel). However, I cannot see it in the device list in the Shared Fax Service Manager.

Cause: Newly added modem devices do not appear in Shared Fax Service Manager until you restart Shared Fax Service and then refresh your view.

Solution: In the console tree of Shared Fax Service Manager, right-click Microsoft Shared Fax. In the console tree, right-click Microsoft Shared Fax. Click the Stop command on the drop-down menu. Click the Start command on the drop-down menu. Press F5 to refresh the console tree view.

Faxes are, on average, spending too much time in the outgoing fax queue before being sent.

Cause: You have not allocated enough fax devices to sending faxes.

Solution: Click Devices in the details pane to view the sending abilities of devices. Right-click a device in the details pane that is not currently enabled to send faxes, and then click Send.

Where?

  • Microsoft Shared Fax
  • Devices and Providers
  • Devices
  • device

Faxes that remain in the Outbox folder longer than I'd prefer are accumulating and filling the folder.

Cause: You have not enabled the automatic deletion of faxes that remain in the Outbox longer than a specified length of time, or that length is too long.

Solution: Right-click Microsoft Shared Fax, and then click Properties. On the Outbox tab, click the Automatically delete faxes older than check box. If it is selected, decrease the number of days after which faxes will be automatically deleted (if remaining in the Outbox).

Faxes that remain in the Inbox folder longer than I'd prefer are accumulating and filling the folder.

Cause: You have not enabled the automatic deletion of faxes that remain in the Inbox longer than a specified length of time, or that length is too long.

Solution: Right-click Microsoft Shared Fax, and then click Properties. On the Inbox tab, click the Automatically delete faxes older than check box. If it is selected, decrease the number of days after which faxes will be automatically deleted (if remaining in the Inbox).

Faxes that remain in the Sent Items folder longer than I'd prefer are accumulating and filling the folder.

Cause: You have not enabled the automatic deletion of faxes that remain in the Sent Items folder longer than a specified length of time, or that length is too long.

Solution: Right-click Microsoft Shared Fax, and then click Properties. On the Sent Items tab, click the Automatically delete faxes older than check box. If it is selected, decrease the number of days after which faxes will be automatically deleted (if remaining in the Sent Items folder).

Despite the fact that the Store in a folder incoming fax routing method is enabled, the faxes are not being stored.

Cause: The cause of this problem is stated in the event log.

Solution: Check the event log and, according to the cause, search the Shared Fax Service Help for the solution.

See also Manage Incoming Faxes.

Despite deleting faxes from the archive, I periodically receive a warning that the archive is too large.

Cause: You might not have enabled the automatic deletion of faxes that remain in the achive longer than a set number of days. If you have, the number of days is too long for the size of faxes that you are receiving, filling the archive above the high watermark before they are automatically deleted.

Solution: Delete as many faxes as needed to reduce the size of the folder. It should be smaller than the size of the low watermark to reset the warning. Enable the automatic deletion of faxes that remain in the achive longer than a set number of days. If you already have, lessen the number of days that faxes can remain in the achive.

Cause: You enabled the Sent Items folder to automatically delete faxes that remain in the achive longer than a set number of days, but have not enabled the same option for the Inbox folder (or vice-versa).

Solution: Enable the automatic deletion option for the folder that has not yet been enabled.

See also Use Sent Items archive quota; Use Inbox archive quota.


Glossary

A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

A

activity logging
The statistical logging of incoming and outgoing faxes. Not to be confused with the archiving of fax messages. In Shared Fax Service, activity logging is recorded in two text files—one for incoming and the other for outgoing faxes.
add-in
A software utility or other program that can be added to a primary program.
archive
The folder that saves faxes. There are separate incoming and outgoing archives. The Inbox folder is the archive of all incoming faxes. The Sent Items folder is the archive of successfully sent faxes.
archive warning
A mechanism that alerts the administrator when the size of the archive is larger than the size quota high watermark set on the Inboxand Send Items tabs of the Microsoft Shared Fax Properties sheet.

B

banner
The information branded on an edge of each page of a transmitted fax. Banner information in Shared Fax Service usually includes date and time at moment of transmission, Transmitting Station Identification (TSID), target phone number, and current page.
branding
The automatic stamping of a banner on each page of a sent fax that includes a set of details about the transmission.

See also banner

C

cover page
A page that appears as the first, and sometimes the only, page of a fax transmission. A cover page usually includes transmission information fields such as sender name, fax number, company name, address, phone number, recipient name and fax number, total number of pages in the fax, date and time of transmission, subject of the fax, and a note.
cover page template
A template that can be modified to fit the needs of the user for composing a cover page for fax transmission.

D

device
A unit of hardware, outside or inside the case or housing for the server computer (processor, memory, and data paths) that is capable of providing input to the server computer or of receiving output or of both. Specifically, in the Shared Fax Service, fax devices are referred to in place of fax modems. As with other device examples, fax devices normally require a device driver to function with Microsoft Windows 2000.
discount rate
Certain times when the service provider charges less than other times for fax transmission.

E

extensible
Of or relating to a programming language or a system that can be modified by changing or adding features.

F

fax mail transport
A component of Shared Fax Client provides the same functionality for Microsoft BackOffice Server clients as the fax program that is included with Microsoft Windows 2000.
fax device
Any fax modem, internal or external. Fax devices normally require a device driver to function with Windows 2000.
fax printer
A fax device.

See also fax device

G

global
Of or relating to an entire program, document, or file.
groups
A group is defined by a rule to send a fax according to specific needs. Groups include a fax or groups of faxes that can be configured according to provider or whatever parameter the administrator defines.

H

hardware
A computer and the associated physical equipment directly involved in the performance of data-processing or communications functions.

I

Inbox
The folder that serves the dual role of incoming fax queue viewer and received fax archive.
incoming methods
Each device has its own Incoming Methods node. The methods that appear in the details pane of the Incoming Methods node are displayed according to the priority set in the Global Methods node. Here, the methods can be enabled or disabled for each device independently.
incoming routing
Shared Fax Service uses global methods for routing incoming faxes. These methods define how devices process a fax upon receipt and may include printing the fax, storing it in a folder, routing it through e-mail, or other third-party methods. In the Global Methods node, you can set the priority, or order in which a fax is processed. Each device is independently configured to enable or disable the global methods on it.

L

local fax
The native fax program included with Microsoft Windows 2000.

O

Outbox
The outgoing fax queue and queue viewer.
outgoing routing
The processing of submitted faxes is a matter of routing them to the correct device according to outgoing routing rules.

P

permission
The formal consent or authorization needed to perform specific tasks in a server environment. Permissions are allowed or denied by administrators.
providers
Fax service providers. Possibly telephone company or Internet Service Provider (for Fax Over IP).

See also security permission

Q

queued
A fax that is in line (in a queue) or waiting to be processed. There are separate incoming and outgoing queues.

R

receipt
An e-mail message sent to the sender of successfully sent fax, following its transmission.
redundancy
Duplication or repetition of elements in electronic equipment (such as faxes) to provide alternative functional channels in case of failure.
retry (retries)
When a fax fails to transmit successfully, Shared Fax Service retries sending the fax automatically according to administrator configuration. The administrator can set the maximum number of retries permitted before the process fails, and how much time must pass between each retried transmission.
routing
The process of directing faxes. Outgoing routing directs a submitted fax to a device (or group of devices) by using outgoing routing rules for transmission. Incoming routing directs a received fax to its destination by using incoming routing rules.
retry
An additional attempt to transmit a fax following a transmission failure.

S

security permission
The formal consent or authorization that is needed to perform specific tasks in a server environment, for security limitations. Security permissions are allowed or denied by administrators.
submit
The act of sending a fax. When submitted, a fax actually takes a place in the outgoing faxes queue.

W

watermark
A watermark is a visible mark showing the greatest height to which water has risen, although there is capacity for the water to continue rising. The low watermark represents the level of water that, when reached, turns on a warning system for the reservoir. If the water level reaches the high watermark, that warning system is triggered, setting off the alarm. Until the water level is lowered below the low watermark and rises again above it, the warning system is not triggered again because the reservoir authorities know the status. Lowering the water below the low watermark reactivates the warning system and the next time the water reaches the high watermark, the alarm sounds again. Similarly, in the archive, the high watermark does not limit the size of the archive but only indicates the size of the archive that should generate an alarm. This alarm is not repeated until the system is reset by the archive size reaching the low watermark.


Event Messages

Events generated during the operation of Shared Fax Service are recorded in Event Viewer. You can use Event Viewer to monitor and troubleshoot events.

This section provides information about Shared Fax Service events, including:

  • ID number. The number that identifies the event type. The event number helps technical support representatives track events in the system.
  • Event message. A description of the event that also appears on the property page for the event.
  • Explanation. A description of the possible cause of the event.
  • User action. A description of the actions you can take to solve or prevent the problem.

There are four severity levels for individual event messages:

  • Success
  • Informational
  • Warning
  • Error

Use Event Viewer to view the severity level or for more information regarding individual messages. Successful events will not appear in the Event Viewer.

Event Messages are displayed in three categories of tables with links to individual message explanations, and user actions (where they exist).

  • Incoming event messages
  • Outgoing event messages
  • Initialization termination event messages


Incoming event messages

Click message numbers to view pages that offer explanations and suggested user actions for those specific messages (where they exist). Then, click the Back button in the toolbar to return to this page.

Message ID | Message
32002 | Received %1 printed to %2.
32003 | Unable to print %1 to %2. There is a problem with the connection to printer %2. Check the connection to the printer. Rectify the problem with the connection. The following error occurred: %3. This error code indicates the cause of the error.
32004 | Received %1 saved to %2.
32005 | Unable to save received %1 to %2. Verify that directory %2 exists and is writable. Check that there is enough space to save to the hard disk drive. The following error occurred: %3. This error code indicates the cause of the error.
32006 | Received %1 routed to local inbox: %2.
32007 | Unable to route %1 to local inbox: %2. Check the SMTP server configuration. Correct any mistakes of parameters in the configuration. Faxes will now be routed through e-mail. Incoming faxes that were not successfully routed through e-mail can still be sent through e-mail from the Inbox of the Shared Fax Console as .tif files.
32008 | %1 received. From: %2. CallerId: %3. To: %4. Pages: %5. Transmission time: %6. Device Name: %7.
32019 | Sent %1 archived to %2.
32020 | Unable to archive %1 to %2. Verify that directory %2 exists and is writable. Verify that the archive is enabled. Check that there is enough space to save to the hard disk drive. The following error occurred: %3. This error code indicates the cause of the error.
32021 | Cannot print %1 to fax printer %2. The Microsoft Shared Fax Service cannot route incoming faxes to fax printers. Incoming faxes can only be routed to actual printer devices.
32022 | An error was encountered while receiving a fax.
32024 | Unable to receive fax. Cannot create receive fax file %1.%n%n Verify that the directory exists and is writable. If directory exists, change its properties to writable. If it does not exist, restart the service to create it. Win32 error code: %2. This error code indicates the cause of the error.
32030 | Receive Canceled.
32034 | Receive failed due to a reception error. Shared Fax Service was able to receive only a portion of the incoming fax. Contact the sender and request retrying to send the fax. File Name: %1. From: %2. CallerId: %3. To: %4. Recovered Pages: %5. Total Pages: %6. Transmission time: %7. Device Name: %8.
32046 | Shared Fax Service failed to create an archive directory. Faxes will not be archived.%n%n Verify that the specified archive points to a valid folder and that it is writable. Archive Path: '%1'%n%nWin32 Error Code: %2. This error code indicates the cause of the error.
32047 | Shared Fax Service failed to create a unique archive file name. The fax will not be archived. Verify that the directory exists and that it is writable. Check that there is enough space on the hard disk drive. Error Code: %1 This error code indicates the cause of the error.
32072 | The Inbox folder size has surpassed the high watermark generating this warning. The high watermark is not a limit to the size of the folder. The warning is reset each time the size of the folder is reduced to become smaller than the low watermark. Both watermark sizes can be changed.%n%n Delete faxes from the folder to reduce its size to smaller than that of the low watermark, resetting the next warning. If this warning reoccurs, verify that the option to automatically delete faxes from the archive after a set number of days is enabled. If it is, reduce the maximum number of days a fax is allowed to remain in the archive. Inbox archive folder path: '%1' Inbox high watermark (MB): %2
32074 | Unable to add message properties to %1. Verify that the archive directory is located on a NTFS file system. The following error occurred: %2. This error code indicates the cause of the error.
32076 | Failed to create a fax .tif file for archiving. File name: '%1'. The fax will not be archived. Verify that the directory exists and is writable. Check that there is enough available space on the hard disk drive. The following error occurred: %1. This error code indicates the cause of the error.
32078 | A successfully received fax did not automatically route. If incoming archiving is enabled, you can find the fax in the archive folder by its Job ID and manually route it. Job ID: %1. Received on Device: '%2' Sent from: '%3'


Outgoing event messages

Click message numbers to view pages that offer explanations and suggested user actions for those specific messages (where they exist). Then, click the Back button in the toolbar to return to this page.

Message ID | Message
32009 | Fax Sent. Sender: %1. Billing code: %2. Sender company: %3. Sender dept: %4. Recipient name: %5. Recipient number: %6. Receiver CSID: %7. Pages: %8. Transmission time: %9. Device name: %10.
32010 | Send Failed. The line was busy. This fax will not be sent, because the maximum number of retries has been exhausted. Sender: %1. Billing code: %2. Sender company: %3. Sender dept: %4. Recipient name: %5. Recipient number: %6. Device name: %7.
32011 | Send Failed. The line was busy. The service will attempt to resend the fax. Sender: %1. Billing code: %2. Sender company: %3. Sender dept: %4. Recipient name: %5. Recipient number: %6. Device name: %7.
32012 | Send Failed. There was no answer. This fax will not be sent, because the maximum number of retries has been exhausted. Sender: %1. Billing code: %2. Sender company: %3. Sender dept: %4. Recipient name: %5. Recipient number: %6. Device name: %7.
32013 | Send Failed. There was no answer. The service will attempt to resend the fax. Sender: %1. Billing code: %2. Sender company: %3. Sender dept: %4. Recipient name: %5. Recipient number: %6. Device name: %7.
32014 | Send Failed. The call was not answered by a fax device. This fax will not be sent, because the maximum number of retries has been exhausted. Sender: %1. Billing code: %2. Sender company: %3. Sender dept: %4. Recipient name: %5. Recipient number: %6. Device name: %7.
32015 | Send Failed. The call was not answered by a fax device. The service will attempt to resend the fax. Sender: %1. Billing code: %2. Sender company: %3. Sender dept: %4. Recipient name: %5. Recipient number: %6. Device name: %7.
32016 | Send Failed. The fax transmission was interrupted. This fax will not be sent, because the maximum number of retries has been exhausted. Sender: %1. Billing code: %2. Sender company: %3. Sender dept: %4. Recipient name: %5. Recipient number: %6. Device name: %7.
32017 | Send Failed. The fax transmission was interrupted. The service will attempt to resend the fax. Sender: %1. Billing code: %2. Sender company: %3. Sender dept: %4. Recipient name: %5. Recipient number: %6. Device name: %7.
32018 | Shared Fax Service was stopped.
32019 | Sent %1 archived to %2.
32020 | Unable to archive %1 to %2. The following error occurred: %3. This error code indicates the cause of the error.
32027 | An error was encountered while sending a fax. This fax will not be sent, because the maximum number of retries has been exhausted. If you restart the transmission and difficulties persist, please verify that the following items are working correctly: phone line, fax sending device and fax receiving device. Sender: %1. Billing code: %2. Sender company: %3. Sender dept: %4. Recipient name: %5. Recipient number: %6. Device name: %7.
32028 | An error was encountered while sending a fax. The service will attempt to resend the fax. If further transmissions fail, please verify that the following items are working correctly: phone line, fax sending device and fax receiving device. Sender: %1. Billing code: %2. Sender company: %3. Sender dept: %4. Recipient name: %5. Recipient number: %6. Device name: %7.
32029 | Send Canceled. Sender: %1. Billing code: %2. Sender company: %3. Sender dept: %4. Recipient name: %5. Recipient number: %6. Device name: %7.
32031 | Send Failed. There was no dial tone. This fax will not be sent because the maximum number of retries has been exhausted. Sender: %1. Billing code: %2. Sender company: %3. Sender dept: %4. Recipient name: %5. Recipient number: %6. Device name: %7.
32032 | Send Failed. There was no dial tone. The service will attempt to resend the fax. Sender: %1. Billing code: %2. Sender company: %3. Sender dept: %4. Recipient name: %5. Recipient number: %6. Device name: %7.
32046 | Shared Fax Service failed to create an archive directory. Faxes will not be archived.%n%n Archive Path: '%1'%n%nWin32 Error Code: %2. This error code indicates the cause of the error.
32047 | Shared Fax Service failed to create a unique archive file name. The fax will not be archived. Error Code: %1 This error code indicates the cause of the error.
32073 | The Sent Items folder size has surpassed the high watermark generating this warning. The high watermark is not a limit to the size of the folder. The warning is reset each time the size of the folder is reduced to become smaller than the low watermark. Both watermark sizes can be changed. Sent Items archive path: '%1' Sent Items high watermark (MB): %2
32074 | Unable to add message properties to %1. The following error occurred: %2. This error code indicates the cause of the error.
32076 | Failed to create a fax .tif file for archiving. The fax will not be archived. The following error occurred: %1. This error code indicates the cause of the error.


Initialization termination event messages

Click message numbers to view pages that offer explanations and suggested user actions for those specific messages (where they exist). Then, click the Back button in the toolbar to return to this page.

Message ID | Message
32001 | The Shared Fax Service was started.
32018 | The Shared Fax Service was stopped.
32026 | Shared Fax Service failed to initialize any assigned fax devices (virtual or TAPI). No faxes can be sent or received until a fax device is installed.
32035 | Shared Fax Service had problems restoring the fax queue. After restarting, the service could not restore the outgoing and/or incoming faxes queue. If there was a fax job in the outgoing queue, and you are unsure if it was transmitted, you should retransmit the fax.
32036 | Shared Fax Service failed initializing the routing module '%1'. Please contact your routing extension vendor. If the vendor's solution does not solve the problem, please contact Microsoft Product Support Services. Location: %2.
32037 | Shared Fax Service failed to initialize the virtual devices for %1. A problem occurred when trying to create a Fax Service Provider (FSP) virtual device. Contact your FSP vendor.
32038 | Shared Fax Service had problems initializing the fax service provider module '%1'. Contact your FSP vendor. Reason: %2. Error code: %3. Location: %4. This error code indicates the cause of the error.
32039 | Shared Fax Service was not able to successfully initialize any Fax Service Provider (FSP). A provider was deleted, and none exist in the service. No faxes can be sent or received until a provider is installed.%n%n Install an FSP according to the vendor's installation instructions. If Modem Device Provider is to be used, reinstall the Shared Fax Service using the Repair mode.
32041 | Shared Fax Service failed to initialize because of an internal error%n%nWin32 Error Code: %1 This error code indicates the cause of the error.
32043 | Shared Fax Service failed to initialize because it could not create the outgoing faxes queue directory '%1'.%n%n Verify that the parent directory is writable. Win32 Error Code: %2 This error code indicates the cause of the error.
32044 | Shared Fax Service failed to initialize because of lack of system resources.%n%n Close other applications. Restart the service. Win32 error code: %1. This error code indicates the cause of the error.
32045 | Shared Fax Service failed to initialize because it could not initialize the TAPI devices.%n%n Verify that the fax modem was installed and configured correctly. Win32 error code: %1. This error code indicates the cause of the error.
32050 | Shared Fax Service failed to load the Fax Service Provider '%1'.%n%n Fax Service Provider Path: '%2'%n%nWin32 Error Code: %3%n%n Verify that the module is indeed located at the specified path. If it is not there, reinstall the Fax Service Provider and restart the Shared Fax Service. If this does not solve the problem, contact the Fax Service Provider vendor.
32051 | Shared Fax Service ran out of memory when trying to initialize Fax Service Provider '%1'.%n%n Fax Service Provider Path: '%2'. Close other applications and restart the service.
32052 | Shared Fax Service could not initialize Fax Service Provider '%1' because of an internal error%n%n Fax Service Provider Path: '%2'%n%nWin32 Error Code: %3 This error code indicates the cause of the error.
32053 | Shared Fax Service could not initialize Fax Service Provider '%1' because its registration data is not valid.%n%n Fax Service Provider Path: '%2'. Contact the fax service provider vendor.
32054 | Shared Fax Service could not initialize Fax Service Provider '%1' because of an internal server error.%n%n Fax Service Provider Path: '%2'%n%nError Code: %3
32057 | Shared Fax Service could not initialize Fax Service Provider '%1' because it failed to load the required Legacy FSPI interface.%n%n Fax Service Provider Path: '%2'%n%n Win32 Error Code: %3%n%n Contact the Fax Service Provider vendor.
32058 | Shared Fax Service could not initialize Fax Service Provider '%1' because it failed to load the required Extended FSPI interface.%n%n Fax Service Provider Path: '%2'%n%n Win32 Error Code: %3%n%n Contact the Fax Service Provider vendor.
32059 | Shared Fax Service could not initialize Fax Service Provider '%1' because it provided an interface version (%3) that is not supported.%n%n Fax Service Provider Path: '%2'%n%n Contact the Fax Service Provider vendor.
32060 | Shared Fax Service failed to initialize Activity Logging because it did not succeed in opening the activity logging files. Note that the service will remain running, but without activity logging!%n%n Verify that the log directory is valid and writable. Restart the service. Win32 error code: %1. This error code indicates the cause of the error.
32061 | Shared Fax Service failed to read the delivery notification configuration, possibly due to registry corruption or a lack of system resources.%n%n Reinstall the Shared Fax Service using the Repair mode. Win32 error code: %1. This error code indicates the cause of the error.
32062 | Shared Fax Service failed to read the service configuration, possibly due to registry corruption or a lack of system resources.%n%n Reinstall the Shared Fax Service using the Repair mode. Win32 error code: %1. This error code indicates the cause of the error.
32063 | Shared Fax Service failed to read the archive configuration, possibly due to registry corruption or a lack of system resources.%n%n Reinstall the Shared Fax Service using the Repair mode. Win32 error code: %1. This error code indicates the cause of the error.
32064 | Shared Fax Service failed to read the activity logging configuration, possibly due to registry corruption or a lack of system resources.%n%n Reinstall the Shared Fax Service using the Repair mode. Win32 error code: %1. This error code indicates the cause of the error.
32065 | Shared Fax Service failed to read the outgoing routing configuration, possibly due to registry corruption or a lack of system resources.%n%n Reinstall the Shared Fax Service using the Repair mode. Win32 error code: %1. This error code indicates the cause of the error.
32066 | At least one of the devices in the outgoing routing group is not valid. Group name: '%1'
32067 | Shared Fax Service failed to read the server's outbound routing group configuration because a parameter in the registry is corrupted and prevents the specific routing group's configuration from loading. Therefore, the group was permanently deleted. Recreate (add) the outgoing routing group. Group name: '%1'
32068 | The outgoing routing rule is not valid because it cannot find a valid device. The outgoing faxes that use this rule will not be routed. Verify that the targeted device or devices (if routed to a group of devices) is connected and installed correctly, and turned on. If routed to a group, verify that the group is configured correctly. Country/region code: '%1' Area code: '%2'
32069 | Shared Fax Service failed to read the configuration of one of the server's outgoing routing rules because a parameter in the registry is corrupted and prevents the specific routing rule's configuration from loading. Therefore, the rule was permanently deleted. Recreate (add) the outgoing routing rule. Country/region code: '%1' Area code: '%2'
32070 | Shared Fax Service failed to load the server's outbound routing group configuration. Group name: '%1'
32071 | Shared Fax Service failed to load the server's outbound routing rule configuration. Country/region code: '%1' Area code: '%2'
32077 | Failed to create the activity logging schema file. File name: '%1'. The schema information file provides the ODBC 'Microsoft Text Driver' with information about the general format of the DB file, the column name, data type, and a number of other data characteristics. Verify that the directory exists and is writable. If the file exists, verify that it is not used by other applications. The following error occurred: %2. This error code indicates the cause of the error.


Performance counters

You can select parameters to include in the System Monitor from the following table:

Parameter | Description
Bytes received | Number of bytes received.
Failed receptions | Number of faxes that the service failed to receive.
Received faxes | Number of successfully received faxes.
Minutes receiving | Number of minutes that the service received faxes.
Received pages | Number of pages received.
Bytes sent | Number of bytes sent.
Failed outgoing connections | Number of outgoing connections that failed.
Failed faxes | Number of faxes that failed.
Faxes sent | Number of faxes successfully sent.
Minutes sending | Number of minutes that the service sent faxes.
Pages sent | Number of pages sent.
Total bytes | Total number of bytes sent and received.
Total faxes | Total number of faxes sent and received.
Total minutes sending and receiving | Total number of minutes that the service sent and received faxes.
Total pages | Total number of pages sent and received.


Event ID

32001

Event Message

Shared Fax Service was started.

Explanation

User Action


Event ID

32002

Event Message

Received %1 printed to %2.

Explanation

User Action


Event ID

32003

Event Message

Unable to print %1 to %2. There is a problem with the connection to printer %2. Check the connection to the printer. Rectify the problem with the connection. The following error occurred: %3. This error code indicates the cause of the error.

Explanation

User Action


Event ID

32004

Event Message

Received %1 saved to %2.

Explanation

User Action


Event ID

32005

Event Message

Unable to save received %1 to %2. Verify that directory %2 exists and is writable. Check that there is enough space to save to the hard disk drive. The following error occurred: %3. This error code indicates the cause of the error.

Explanation

User Action


Event ID

32006

Event Message

Received %1 routed to local inbox: %2.

Explanation

User Action


Event ID

32007

Event Message

Unable to route %1 to local inbox: %2. Check the SMTP server configuration. Correct any mistakes of parameters in the configuration. Faxes will now be routed through e-mail. Incoming faxes that were not successfully routed through e-mail can still be sent through e-mail from the Inbox of the Shared Fax Console as .tif files.

Explanation

User Action


Event ID

32008

Event Message

%1 received. From: %2. CallerId: %3. To: %4. Pages: %5. Transmission time: %6. Device Name: %7.

Explanation

User Action


Event ID

32009

Event Message

Fax Sent. Sender: %1. Billing code: %2. Sender company: %3. Sender dept: %4. Recipient name: %5. Recipient number: %6. Receiver CSID: %7. Pages: %8. Transmission time: %9. Device name: %10.

Explanation

User Action


Event ID

32010

Event Message

Send Failed. The line was busy. This fax will not be sent, because the maximum number of retries has been exhausted. Sender: %1. Billing code: %2. Sender company: %3. Sender dept: %4. Recipient name: %5. Recipient number: %6. Device name: %7.

Explanation

User Action


Event ID

32011

Event Message

Send Failed. The line was busy. The service will attempt to resend the fax. Sender: %1. Billing code: %2. Sender company: %3. Sender dept: %4. Recipient name: %5. Recipient number: %6. Device name: %7.

Explanation

User Action


Event ID

32012

Event Message

Send Failed. There was no answer. This fax will not be sent, because the maximum number of retries has been exhausted. Sender: %1. Billing code: %2. Sender company: %3. Sender dept: %4. Recipient name: %5. Recipient number: %6. Device name: %7.

Explanation

User Action


Event ID

32013

Event Message

Send Failed. There was no answer. The service will attempt to resend the fax. Sender: %1. Billing code: %2. Sender company: %3. Sender dept: %4. Recipient name: %5. Recipient number: %6. Device name: %7.

Explanation

User Action


Event ID

32014

Event Message

Send Failed. The call was not answered by a fax device. This fax will not be sent, because the maximum number of retries has been exhausted. Sender: %1. Billing code: %2. Sender company: %3. Sender dept: %4. Recipient name: %5. Recipient number: %6. Device name: %7.

Explanation

User Action


Event ID

32015

Event Message

Send Failed. The call was not answered by a fax device. The service will attempt to resend the fax. Sender: %1. Billing code: %2. Sender company: %3. Sender dept: %4. Recipient name: %5. Recipient number: %6. Device name: %7.

Explanation

User Action


Event ID

32016

Event Message

Send Failed. The fax transmission was interrupted. This fax will not be sent, because the maximum number of retries has been exhausted. Sender: %1. Billing code: %2. Sender company: %3. Sender dept: %4. Recipient name: %5. Recipient number: %6. Device name: %7.

Explanation

User Action


Event ID

32017

Event Message

Send Failed. The fax transmission was interrupted. The service will attempt to resend the fax. Sender: %1. Billing code: %2. Sender company: %3. Sender dept: %4. Recipient name: %5. Recipient number: %6. Device name: %7.

Explanation

User Action


Event ID

32018

Event Message

Shared Fax Service was stopped.

Explanation

User Action


Event ID

32019

Event Message

Sent %1 archived to %2.

Explanation

Successfully sent item to be archived.

User Action

None


Event ID

32020

Event Message

Unable to archive %1 to %2. Verify that directory %2 exists and is writable. Verify that the archive is enabled. Check that there is enough space to save to the hard disk drive. The following error occurred: %3. This error code indicates the cause of the error.

Explanation

User Action


Event ID

32021

Event Message

Cannot print %1 to fax printer %2. The Microsoft Shared Fax Service cannot route incoming faxes to fax printers. Incoming faxes can only be routed to actual printer devices.

Explanation

User Action


Event ID

32022

Event Message

An error was encountered while receiving a fax.

Explanation

After starting to receive the fax data, the flow of data stopped. In this case the sending device received a successful delivery notification, despite the fact that the fax was lost.

User Action

Contact the sender and request retrying to send the fax after a minute of waiting. If difficulties persist, verify that the problem is not on the sending side. If it is not, verify that the phone line and fax-receiving device are working.


Event ID

32024

Event Message

Unable to receive fax. Cannot create receive fax file %1.%n%n Verify that the directory exists and is writable. If directory exists, change its properties to writable. If it does not exist, restart the service to create it. Win32 error code: %2. This error code indicates the cause of the error.

Explanation

User Action


Event ID

32026

Event Message

Shared Fax Service failed to initialize any assigned fax devices (virtual or TAPI). No faxes can be sent or received until a fax device is installed.

Explanation

A fax device was deleted or does not exist in the service. The service cannot send or receive faxes without an installed fax device.

User Action

Install a fax device according to the vendor’s installation instructions.


Event ID

32027

Event Message

An error was encountered while sending a fax. This fax will not be sent, because the maximum number of retries has been exhausted. If you restart the transmission and difficulties persist, please verify that the following items are working correctly: phone line, fax sending device, and fax receiving device. Sender: %1. Billing code: %2. Sender company: %3. Sender dept: %4. Recipient name: %5. Recipient number: %6. Device name: %7.

Explanation

User Action


Event ID

32028

Event Message

An error was encountered while sending a fax. The service will attempt to resend the fax. If further transmissions fail, please verify that the following items are working correctly: phone line, fax sending device, and fax receiving device. Sender: %1. Billing code: %2. Sender company: %3. Sender dept: %4. Recipient name: %5. Recipient number: %6. Device name: %7.

Explanation

User Action


Event ID

32029

Event Message

Send canceled. Sender: %1. Billing code: %2. Sender company: %3. Sender dept: %4. Recipient name: %5. Recipient number: %6. Device name: %7.

Explanation

You canceled the reception of an outgoing fax.

User Action

No further action needed.


Event ID

32030

Event Message

Receive canceled.

Explanation

You canceled the reception of an incoming fax.

User Action

No further action needed.


Event ID

32031

Event Message

Send failed. There was no dial tone. This fax will not be sent because the maximum number of retries has been exhausted. Sender: %1. Billing code: %2. Sender company: %3. Sender dept: %4. Recipient name: %5. Recipient number: %6. Device name: %7.

Explanation

User Action


Event ID

32032

Event Message

Send failed. There was no dial tone. The service will attempt to resend the fax. Sender: %1. Billing code: %2. Sender company: %3. Sender dept: %4. Recipient name: %5. Recipient number: %6. Device name: %7.

Explanation

User Action


Event ID

32034

Event Message

Receive failed due to a reception error. Shared Fax Service was able to receive only a portion of the incoming fax. Contact the sender and request retrying to send the fax. File Name: %1. From: %2. CallerId: %3. To: %4. Recovered Pages: %5. Total Pages: %6. Transmission time: %7. Device Name: %8.

Explanation

User Action


Event ID

32035

Event Message

Shared Fax Service had problems restoring the fax queue. After restarting, the service could not restore the outgoing and/or incoming faxes queue. If there was a fax job in the outgoing queue, and you are unsure if it was transmitted, you should retransmit the fax.

Explanation

User Action


Event ID

32036

Event Message

Shared Fax Service failed initializing the routing module '%1'. Please contact your routing extension vendor. If the vendor's solution does not solve the problem, please contact Microsoft Product Support Services. Location: %2.

Explanation

User Action


Event ID

32037

Event Message

Shared Fax Service failed to initialize the virtual devices for %1. A problem occurred when trying to create a Fax Service Provider (FSP) virtual device. Contact your FSP vendor.

Explanation

User Action


Event ID

32038

Event Message

Shared Fax Service had problems initializing the fax service provider module '%1'. Contact your Fax Service Provider vendor. Reason: %2. Error code: %3. Location: %4. This error code indicates the cause of the error.

Explanation

User Action


Event ID

32039

Event Message

Shared Fax Service was not able to successfully initialize any Fax Service Provider (FSP). A provider was deleted, and none exist in the service. No faxes can be sent or received until a provider is installed.%n%n Install an FSP according to the vendor's installation instructions. If Microsoft Modem Device Provider is to be used, reinstall the Shared Fax Service using the Repair mode.

Explanation

User Action


Event ID

32041

Event Message

Shared Fax Service failed to initialize because of an internal error%n%nWin32 Error Code: %1 This error code indicates the cause of the error.

Explanation

User Action

Contact Microsoft Product Support Services to discover the cause of the error, and then take appropriate action to correct it.


Event ID

32043

Event Message

Shared Fax Service failed to initialize because it could not create the outgoing faxes queue directory '%1'.%n%n Verify that the parent directory is writable. Win32 Error Code: %2 This error code indicates the cause of the error.

Explanation

User Action


Event ID

32044

Event Message

Shared Fax Service failed to initialize because of lack of system resources.%n%n Close other applications. Restart the service. Win32 error code: %1. This error code indicates the cause of the error.

Explanation

User Action


Event ID

32045

Event Message

Shared Fax Service failed to initialize because it could not initialize the TAPI devices.%n%n Verify that the fax modem was installed and configured correctly. Win32 error code: %1. This error code indicates the cause of the error.

Explanation

User Action


Event ID

32046

Event Message

Shared Fax Service failed to create an archive directory. Faxes will not be archived.%n%n Verify that the specified archive points to a valid folder and that it is writable. Archive Path: '%1'%n%nWin32 Error Code: %2. This error code indicates the cause of the error.

Explanation

User Action


Event ID

32047

Event Message

Shared Fax Service failed to create a unique archive file name. The fax will not be archived. Verify that the directory exists and that it is writable. Check that there is enough space on the hard disk drive. Error Code: %1 This error code indicates the cause of the error.

Explanation

User Action


Event ID

32050

Event Message

Shared Fax Service failed to load the Fax Service Provider '%1'.%n%n Fax Service Provider Path: '%2'%n%nWin32 Error Code: %3%n%n Verify that the module is indeed located at the specified path. If it is not there, reinstall the Fax Service Provider and restart the Shared Fax Service. If this does not solve the problem, contact the Fax Service Provider vendor.

Explanation

User Action


Event ID

32051

Event Message

Shared Fax Service ran out of memory when trying to initialize Fax Service Provider '%1'.%n%n Fax Service Provider Path: '%2'. Close other applications and restart the service.

Explanation

User Action


Event ID

32052

Event Message

Shared Fax Service could not initialize Fax Service Provider '%1' because of an internal error%n%n Fax Service Provider Path: '%2'%n%nWin32 Error Code: %3 This error code indicates the cause of the error.

Explanation

User Action

Contact Microsoft Product Support Services to discover the cause of the error, and then take appropriate action to correct it.


Event ID

32053

Event Message

Shared Fax Service could not initialize Fax Service Provider '%1' because its registration data is not valid.%n%n Fax Service Provider Path: '%2'. Contact the Fax Service Provider vendor.

Explanation

User Action


Event ID

32054

Event Message

Shared Fax Service could not initialize Fax Service Provider '%1' because of an internal server error.%n%n Fax Service Provider Path: '%2'%n%nError Code: %3

Explanation

User Action

Contact Microsoft Product Support Services to discover the cause of the error, and then take appropriate action to correct it.


Event ID

32057

Event Message

Shared Fax Service could not initialize Fax Service Provider '%1' because it failed to load the required Legacy FSPI interface.%n%n Fax Service Provider Path: '%2'%n%n Win32 Error Code: %3%n%n Contact the Fax Service Provider vendor.

Explanation

User Action


Event ID

32058

Event Message

Shared Fax Service could not initialize Fax Service Provider '%1' because it failed to load the required Extended FSPI interface.%n%n Fax Service Provider Path: '%2'%n%n Win32 Error Code: %3%n%n Contact the Fax Service Provider vendor.

Explanation

User Action


Event ID

32059

Event Message

Shared Fax Service could not initialize Fax Service Provider '%1' because it provided an interface version (%3) that is not supported.%n%n Fax Service Provider Path: '%2'%n%n Contact the Fax Service Provider vendor.

Explanation

User Action


Event ID

32060

Event Message

Shared Fax Service failed to initialize Activity Logging because it did not succeed in opening the activity logging files. Note that the service will remain running, but without activity logging!%n%n Verify that the log directory is valid and writable. Restart the service. Win32 error code: %1. This error code indicates the cause of the error.

Explanation

User Action


Event ID

32061

Event Message

Shared Fax Service failed to read the delivery notification configuration, possibly due to registry corruption or a lack of system resources.%n%n Reinstall the Shared Fax Service using the Repair mode. Win32 error code: %1. This error code indicates the cause of the error.

Explanation

User Action


Event ID

32062

Event Message

Shared Fax Service failed to read the service configuration, possibly due to registry corruption or a lack of system resources.%n%n Reinstall the Shared Fax Service using the Repair mode. Win32 error code: %1. This error code indicates the cause of the error.

Explanation

User Action


Event ID

32063

Event Message

Shared Fax Service failed to read the archive configuration, possibly due to registry corruption or a lack of system resources.%n%n Reinstall the Shared Fax Service using the Repair mode. Win32 error code: %1. This error code indicates the cause of the error.

Explanation

User Action


Event ID

32064

Event Message

Shared Fax Service failed to read the activity logging configuration, possibly due to registry corruption or a lack of system resources.%n%n Reinstall the Shared Fax Service using the Repair mode. Win32 error code: %1. This error code indicates the cause of the error.

Explanation

User Action


Event ID

32065

Event Message

Shared Fax Service failed to read the outgoing routing configuration, possibly due to registry corruption or a lack of system resources.%n%n Reinstall the Shared Fax Service using the Repair mode. Win32 error code: %1. This error code indicates the cause of the error.

Explanation

User Action


Event ID

32066

Event Message

At least one of the devices in the outgoing routing group is not valid. Group name: '%1'

Explanation

At least one of the devices in the routing group is not installed, not installed correctly, not connected to the mains power or to the computer, or not powered on. It is also possible that a device was removed, but not deleted from the routing group.

User Action

If the device was purposefully removed, verify that it was deleted from the routing group. If such a device was deleted from the routing group, verify that the device is connected to the mains power and to the computer, and that it is switched on. If this does not solve the problem, reinstall the device.


Event ID

32067

Event Message

Shared Fax Service failed to read the server's outbound routing group configuration because a parameter in the registry is corrupted and prevents the specific routing group's configuration from loading. Therefore, the group was permanently deleted. Recreate (add) the outgoing routing group. Group name: '%1'

Explanation

User Action


Event ID

32068

Event Message

The outgoing routing rule is not valid because it cannot find a valid device. The outgoing faxes that use this rule will not be routed. Verify that the targeted device or devices (if routed to a group of devices) is connected and installed correctly, and turned on. If routed to a group, verify that the group is configured correctly. Country/region code: '%1' Area code: '%2'

Explanation

User Action


Event ID

32069

Event Message

Shared Fax Service failed to read the configuration of one of the server's outgoing routing rules because a parameter in the registry is corrupted and prevents the specific routing rule's configuration from loading. Therefore, the rule was permanently deleted. Recreate (add) the outgoing routing rule. Country/region code: '%1' Area code: '%2'

Explanation

User Action


Event ID

32070

Event Message

Shared Fax Service failed to load the server's outbound routing group configuration. Group name: '%1'

Explanation

A parameter in the registry is corrupted, or the routing group did not succeed to load itself into the server’s memory and is not being recognized.

User Action

Restart the service. If the problem persists, delete the routing group and recreate (add) it.


Event ID

32071

Event Message

Shared Fax Service failed to load the server's outbound routing rule configuration. Country/region code: '%1' Area code: '%2'

Explanation

A parameter in the registry is corrupted, or the routing rule did not succeed to load itself into the server’s memory and is not being recognized.

User Action

Restart the service. If the problem persists, delete the routing rule and recreate (add) it.


Event ID

32072

Event Message

The Inbox folder size has surpassed the high watermark generating this warning. The high watermark is not a limit to the size of the folder. The warning is reset each time the size of the folder is reduced to become smaller than the low watermark. Both watermark sizes can be changed.%n%n Delete faxes from the folder to reduce its size to smaller than that of the low watermark, resetting the next warning. If this warning reoccurs, verify that the option to automatically delete faxes from the archive after a set number of days is enabled. If it is, reduce the maximum number of days a fax is allowed to remain in the archive. Inbox archive folder path: '%1' Inbox high watermark (MB): %2

Explanation

User Action


Event ID

32073

Event Message

The Sent Items folder size has surpassed the high watermark generating this warning. The high watermark is not a limit to the size of the folder. The warning is reset each time the size of the folder is reduced to become smaller than the low watermark. Both watermark sizes can be changed. Sent Items archive path: '%1' Sent Items high watermark (MB): %2

Explanation

User Action

Delete faxes from the folder to reduce its size to smaller than that of the low watermark, resetting the next warning. If this warning reoccurs, verify that the option to automatically delete faxes from the archive after a set number of days is enabled. If it is, reduce the maximum number of days a fax is allowed to remain in the archive.


Event ID

32074

Event Message

Unable to add message properties to %1. Verify that the archive directory is located on an NTFS file system. The following error occurred: %2. This error code indicates the cause of the error.

Explanation

User Action


Event ID

32075

Event Message

The evaluation copy for this product has expired.

Explanation

User Action


Event ID

32076

Event Message

Failed to create a fax .tif file for archiving. File name: '%1'. The fax will not be archived. Verify that the directory exists and is writable. Check that there is enough available space on the hard disk drive. The following error occurred: %1. This error code indicates the cause of the error.

Explanation

User Action


Event ID

32077

Event Message

Failed to create the activity logging schema file. File name: '%1'. The schema information file provides the ODBC 'Microsoft Text Driver' with information about the general format of the DB file, the column name, data type, and a number of other data characteristics. Verify that the directory exists and is writable. If the file exists, verify that it is not used by other applications. The following error occurred: %2. This error code indicates the cause of the error.

Explanation

User Action


Event ID

32078

Event Message

A successfully received fax did not automatically route. If incoming archiving is enabled, you can find the fax in the archive folder by its Job ID and manually route it. Job ID: %1. Received on Device: '%2' Sent from: '%3'

Explanation

User Action


New features

These are the new features that are included in this version of the Shared Fax Service.

  • Outgoing fax routing lets you to manage the flow of an outgoing fax through groups of fax devices and rules.
  • Fax activity logging lets you monitor the activity of all faxes in the service.
  • Archiving incoming and outgoing faxes.
  • Security (permissions) lets you allow (or deny) users fax submission priorities, viewing and management capabilities for jobs, configuration, and archiving.
  • Change the order of devices within a group to prioritize device access for outgoing faxes.
  • Incoming routing option that sends faxes through SMTP mail to recipient (see Incoming fax routing).
  • E-mail receipt of delivery notification to sender.
  • Improved multiple recipient transmission capability.
  • Improved client application (Shared Fax Console) with single-point fax activity sending, receiving, and monitoring capabilities.
  • Outlook contact list availability for addressing outgoing faxes sent through Microsoft Outlook (in addition to the Windows Address Book).
  • Entire document preview in Send Fax wizard.